<?php

    if ( ! defined( 'ABSPATH' ) ) exit;

    /* -------------------------------------------------------
     * CSF
     * ------------------------------------------------------*/
    if ( ! class_exists( 'CSF' ) ) {
        include_once dirname( __FILE__ ) .'/codestar-framework/codestar-framework.php';
    }

    if ( class_exists( 'CSF' ) ) {

        // Disable CSF welcome page
        add_filter( 'csf_welcome_page', '__return_false' );

        include_once dirname( __FILE__ ) .'/opt/config/framework.config.php';
        include_once dirname( __FILE__ ) .'/opt/config/metabox.config.php';

        if( function_exists( 'floatany_pro_load_textdomain' ) ) {

            include_once WP_PLUGIN_DIR .'/maxboxy-float-any/admin/opt/config/metabox.config.php';
            include_once WP_PLUGIN_DIR .'/maxboxy-float-any/admin/opt/config/shortcode.config.php';

        }

    }


    /* -------------------------------------------------------
     * Enqueue admin scripts
     * ------------------------------------------------------*/

    if ( ! function_exists( 'floatany_admin_scripts' ) ) {

        function floatany_admin_scripts() {

            $plugin_version = floatany_version();

            // file for sanitization & general styling
            wp_enqueue_script( 'floatany-adminizr', plugin_dir_url(  __DIR__  ) .'library/admin/min/adminizr.js', array( 'jquery' ), $plugin_version, true );

        }
        add_action( 'admin_enqueue_scripts', 'floatany_admin_scripts' );

    }
