<?php

    if ( ! defined( 'ABSPATH' ) ) exit;

    /*
     * Differentiate options availabe on the basic & the pro version
     */

    // if the pro plugin is active
    if( function_exists( 'floatany_pro_load_textdomain') ) {

        include WP_PLUGIN_DIR .'/maxboxy-float-any/admin/opt/config/options.php';

    // if the pro plugin isn't active
    } else {

        /*
         * Starter tab - advanced
         */
        $starter_advanced = array(

            array(
                'type'      => 'subheading',
                'content'   => esc_html__( 'Advanced options', 'float-any' ),
            ),
            array(
                'type'      => 'submessage',
                'style'     => 'info',
                'content'   => esc_html__('Get additional settings, conditional loading, shortcodes, etc.', 'maxboxy'),
            ),
            array(
                'type'      => 'callback',
                'function'  => 'floatany_upgrade_function',
            ),

        );




        /*
         * Particular pages tab
         */
        $particlular_pages_tab = array(

            'title'     => '',
            'title'     => esc_html__( 'Pages', 'maxboxy' ),
            'icon'      => 'fas fa-file-alt',
            'fields'    => array(

                array(
                    'type'      => 'submessage',
                    'style'     => 'info',
                    'content'   => esc_html__('Apply to particular pages', 'maxboxy'),
                ),
                array(
                'type'      => 'callback',
                'function'  => 'floatany_upgrade_function',
                )

            )

        );




        /*
         * Appearance tab
         */
        $appear_tab_box = array(

            'title'     => '',
            'title'     => esc_html__( 'Appear', 'maxboxy' ),
            'icon'      => 'far fa-eye',
            'fields'    => array(

                array(
                    'type'      => 'submessage',
                    'style'     => 'info',
                    'content'   => esc_html__('Conditional appearance options', 'maxboxy'),
                ),
                array(
                'type'      => 'callback',
                'function'  => 'floatany_upgrade_function',
                )

            )

        );

    }





    /*
     * Starter tab - basic
     */

    // first, set the z-index default as a placeholder, pulled from the plugin settings
    $zindex             =   isset( get_option( '_float_any_options' )[ 'zindex' ] )
                        ?          get_option( '_float_any_options' )[ 'zindex' ] : '';

    $get_zindex_default =   ! empty( $zindex )  ?   $zindex : 999;

    $starter_basic  = array(

        array(
            'id'            => 'panel_popup_place',
            'type'          => 'select',
            'title'         => esc_html__( 'Location', 'maxboxy' ),
            'options'       => array(
                'left-topped'       => esc_html__('Left topped',        'maxboxy'),
                'left-centered'     => esc_html__('Left centered',      'maxboxy'),
                'left-bottomed'     => esc_html__('Left bottomed',      'maxboxy'),
                'center-topped'     => esc_html__('Center topped',      'maxboxy'),
                'center'            => esc_html__('Center',             'maxboxy'),
                'center-bottomed'   => esc_html__('Center bottomed',    'maxboxy'),
                'right-topped'      => esc_html__('Right topped',       'maxboxy'),
                'right-centered'    => esc_html__('Right centered',     'maxboxy'),
                'right-bottomed'    => esc_html__('Right bottomed',     'maxboxy'),
                                ),
            'default'       => 'center',
        ),
        array(
            'id'            => 'panel_popup_style',
            'type'          => 'select',
            'title'         => esc_html__( 'Showing style', 'maxboxy-float-any' ),
            'help'          => esc_html__( 'Set in which way the panel is revealed.', 'maxboxy-float-any' ),
            'options'       => array(
                                    'bump'              => esc_html__('Bump in',                'maxboxy-float-any'),
                                    'fade'              => esc_html__('Fade in',                'maxboxy-float-any'),
                                    'slide-horizontal'  => esc_html__('Slide in horizontally',  'maxboxy-float-any'),
                                    'slide-vertical'    => esc_html__('Slide in vertically',    'maxboxy-float-any'),
                            ),
            'default'       => 'bump',
        ),
        array(
            'id'            => 'zindex',
            'type'          => 'number',
            'title'         => esc_html__( 'Z-index', 'maxboxy' ),
            'help'          => esc_html__( 'If other element is overlapping the box, with "z-index" give a higher priority to the box in a stack order. Default is 999, unless you changed it from the plugin settigns.', 'maxboxy' ),
            'placeholder'   => $get_zindex_default, // pulled from the plugin global settings
            //'attributes'    => array(
            //    'max'           => 100000,
            //    'min'           => 0,
            //),
        ),
        array(
            'id'            => 'use_overlay',
            'type'          => 'checkbox',
            'title'         => esc_html__( 'Use lightbox effect', 'float-any' ),
        ),
        array(
            'id'            => 'panel_type',
            'type'          => 'select',
            'title'         => esc_html__('Panel type', 'maxboxy'),
            'help'          => esc_html__('Basically, set the way the panel is opened and closed', 'maxboxy'),
            'options'       => array(
                'toggler'     => esc_html__('Toggler',                  'maxboxy'),
                'igniter'     => esc_html__('Igniter',                  'maxboxy'),
                'closer'      => esc_html__('Closer (on click)',        'maxboxy'),
                'hover'       => esc_html__('Closer (on mouse out)',    'maxboxy'),
            ),
            'default'       => 'toggler',
            'class'         => 'floatany-panel-type',
        ),
        array(
            'id'            => 'panel_roles',
            'type'          => 'button_set',
            'title'         => esc_html__('Panel roles (Optional)', 'float-any'),
            //'desc'          => esc_html__('Multiple selections allowed. Still, if nothing is selected, it means you should trigger the panel from the content with a click/hover.', 'float-any'),
            //'help'          => esc_html__( 'Multiple selections allowed. Still, if nothing is selected, it means you should trigger the panel from the content with a click/hover. However, be aware that sometimes combination of roles may be contradictional and even may get incompatible (e.g. "Opened" & "Banish" & "Exiter"). "Opened" means that the panel will be initially opened (on page\'s load). "Banish" option means, once closed, the panel won\'t show again until the user\'s browser storage is cleaned. "Exiter" means a panel will be shown when a user tries to exit the browser. With "Rotator" option, panel\'s elements will be rotatted. Without selecting any of these, the panel can be closed and opened as needed with in-content trigger (e.g. link, button, image) which is the feature available with Pro version.', 'float-any'),
            'help'          => esc_html__( 'Multiple selections allowed. Still, if nothing is selected, it means you should trigger the panel from the content with a click/hover. However, be aware that sometimes combination of roles may be contradictional and even may get incompatible. "Hidden" means that the panel will be loading but not revealed, you have to set a initialization button somewhere on the page (Available with Pro version). "Banish" option means, once closed, the panel won\'t show again until the user\'s browser storage is cleaned. "Exiter" means a panel will be shown when a user tries to exit the browser (usually used together with "Hidden" option). With "Rotator" option, panel\'s elements will be rotatted. Without selecting any of these, the panel can be closed and opened as needed with in-content trigger (e.g. link, button, image) which is the feature available with Pro version.', 'float-any'),
            'options'       => array(
                //'role-opened'   =>  esc_html__('Opened',     'float-any'),
                'role-hidden'   =>  esc_html__('Hidden',     'float-any'),
                'role-exit'     =>  esc_html__('Exiter',     'float-any'),
                'role-banish'   =>  esc_html__('Banish',     'float-any'),
                'role-rotator'  =>  esc_html__('Rotator',    'float-any'),
            ),
            // 'default'       => 'role-opened', //---> cannot use default.
            // ...If the 'role-opened' is set by default the panel would be loading as open even when the intention
            //  is to be triggered from the content with fany-linker
            'multiple'      => true,
            'class'         => 'floatany-button-set-span floatany-panel-roles',
        ),
        array(
            'id'            => 'rotator_on',
            'type'          => 'number',
            'title'         => esc_html__( 'Rotation - on time (seconds)', 'maxboxy' ),
            'help'          => esc_html__( 'Set how long the notification item will last as live. Default is 5 seconds.', 'maxboxy' ),
            'default'       => 5,
            'attributes'    => array(
                'min'           => 1,
            ),
            'dependency'    => array('panel_roles','any','role-rotator'),
        ),
        array(
            'id'            => 'rotator_off',
            'type'          => 'number',
            'title'         => esc_html__( 'Rotation - off time (seconds)', 'maxboxy' ),
            'help'          => esc_html__( 'Duration between two rotating items, i.e. the time before showing the next notification. Default is 10 seconds, minimum 1 second.', 'maxboxy' ),
            'default'       => 10,
            'attributes'    => array(
                'min'           => 1,
            ),
            'dependency'    => array('panel_roles','any','role-rotator'),
        ),
        array(
            'id'            => 'rotator_close_pause',
            'type'          => 'number',
            'title'         => esc_html__( 'Rotation - user\'s closing pause (seconds)', 'maxboxy' ),
            'help'          => esc_html__( 'Pause rotation on notification\'s closing - If the user closes a panel, wait for the specified time before continuing with the next notification.', 'maxboxy' ),
            'attributes'    => array(
                'min'           => 0,
            ),
            'dependency'    => array('panel_type|panel_roles','any|any','closer,hover|role-rotator'),
        ),
        array(
            'id'            => 'rotator_repeat',
            'type'          => 'checkbox',
            'title'         => esc_html__( 'Repeat rotation', 'maxboxy' ),
            'help'          => esc_html__( 'After the last notification item is shown, it will start over again from the first one, and continue endlessly.', 'maxboxy' ),
            'dependency'    => array('panel_roles','any','role-rotator'),
        ),
        array(
            'id'            => 'mark_hoverout_closing',
            'type'          => 'checkbox',
            'title'         => esc_html__( 'Label mark for closing', 'float-any' ),
            'help'          => esc_html__( 'Text will be added marking that the panel will be closed on mouse move out of the box.', 'float-any' ),
            'dependency'    => array('panel_type','any','hover'),
        ),
    );



    /*
     * Starter tab
     */
    $set_starter_tab = array(

        'title'     => esc_html__( 'Start', 'maxboxy' ),
        //'icon'      => 'fas fa-map-signs',
        'icon'      => 'fas fa-sliders-h',
        'fields'    => array_merge( $starter_basic, $starter_advanced ),


    );





    /*
     * Colors tab
     */

    // get default values from the settings

    $panel_bg_bc            =  isset( get_option( '_float_any_options' )[ 'panel_popup_bg' ][ 'background-color' ] )
                            ?         get_option( '_float_any_options' )[ 'panel_popup_bg' ][ 'background-color' ] : '';

    $get_panel_bg_bc_def    =   ! empty( $panel_bg_bc )  ?   $panel_bg_bc : '#e8e2b7';

    $panel_color            =  isset( get_option( '_float_any_options' )[ 'panel_popup_color' ] )
                            ?         get_option( '_float_any_options' )[ 'panel_popup_color' ] : '';
    $get_panel_color_def    =   ! empty( $panel_color )  ?   $panel_color : '#e8e2b7';


    $shut_bg                =   isset( get_option( '_float_any_options' )[ 'panel_shut_bg' ] )
                            ?          get_option( '_float_any_options' )[ 'panel_shut_bg' ] : '';

    $get_shut_bg_default    =   ! empty( $shut_bg )  ?   $shut_bg : '#333333';


    $shut_color             =   isset( get_option( '_float_any_options' )[ 'panel_shut_color' ] )
                            ?          get_option( '_float_any_options' )[ 'panel_shut_color' ] : '';

    $get_shut_color_default =   ! empty( $shut_color )  ?   $shut_color : '#ffffff';


    // set colors tab
    $colors_tab = array(

        'title'     => esc_html__( 'Colors', 'maxboxy' ),
        'icon'      => 'fas fa-paint-brush',
        'fields'    => array(

            array(
                'id'            => 'panel_popup_bg',
                'type'          => 'background',
                'title'         => esc_html__('Panel\'s background', 'maxboxy'),
                'class'         => 'floatany-valid-color',
                'default'       => array(
                                'background-color' => $get_panel_bg_bc_def,
                ),
            ),
            array(
                'id'            => 'panel_popup_color',
                'type'          => 'color',
                'title'         => esc_html__('Panel\'s text color', 'maxboxy'),
                'default'       => $get_panel_color_def,
                'class'         => 'floatany-valid-color',
            ),
            array(
                'type'          => 'subheading',
                'content'       => esc_html__( 'Close/toggle button', 'float-any' ),
                'dependency'    => array('unset_toggler','!=','true', true),
            ),
            array(
                'id'            => 'panel_shut_bg',
                'type'          => 'color',
                'title'         => esc_html__('Background', 'maxboxy'),
                'default'       => $get_shut_bg_default,
                'class'         => 'floatany-valid-color',
                'dependency'    => array('unset_toggler','!=','true', true),
            ),
            array(
                'id'            => 'panel_shut_color',
                'type'          => 'color',
                'title'         => esc_html__('Color', 'maxboxy'),
                'default'       => $get_shut_color_default,
                'class'         => 'floatany-valid-color',
                'dependency'    => array('unset_toggler','!=','true', true),
            ),

        )

    );





    /*
     * Sizes tab
     */
    $set_sizes_tab = array(

        'title'     => esc_html__( 'Sizes', 'maxboxy' ),
        'icon'      => 'fas fa-arrows-alt',
        'fields'    => array(
            
            array(
                'id'            => 'size_1',
                'type'          => 'dimensions',
                'title'         => esc_html__( 'Width (Optional)', 'float-any' ),
                'help'          => esc_html__( 'If not specified, width of the content determines it.', 'float-any' ),
                'height'        => false,
                'units'         => array( '%', 'px', 'em', 'rem' ),
                'default'       => array(
                                        'unit'  => '%',
                                      ),
            ),
            array(
                'id'            => 'height_100',
                'type'          => 'radio',
                'title'         => esc_html__( '100% height', 'float-any' ),
                'help'          => esc_html__( 'Initially panel will take as much space in height as it needs to display the content. However, here you can force it to take the 100% of the browser\'s height.', 'float-any' ),
                'options'       => array(
                                        'yes' => esc_html__('Yes',  'float-any'),
                                        'no'  => esc_html__('No',   'float-any'),
                                ),
                'default'       => 'no',
                'inline'        => true,
            ),
            array(
                'id'            => 'size_2',
                'type'          => 'dimensions',
                'title'         => esc_html__( 'Width (large screens)', 'float-any' ),
                'help'          => esc_html__( 'Optionally overwrite for the large screens', 'float-any' ),
                'height'        => false,
                'units'         => array( '%', 'px', 'em', 'rem' ),
                'default'       => array(
                                        'unit' => '%',
                                    ),
            ),
            array(
                'id'            => 'height_100_2',
                'type'          => 'radio',
                'title'         => esc_html__( '100% height (large screens)', 'float-any' ),
                'help'          => esc_html__( 'Optionally overwrite for the large screens', 'float-any' ),
                'options'       => array(
                                        'inherit'   => esc_html__('Inherit',    'float-any'),
                                        'yes'       => esc_html__('Yes',        'float-any'),
                                        'no'        => esc_html__('No',         'float-any'),
                                ),
                'default'       => 'inherit',
                'inline'        => true,
            ),

            array(
                'type'          => 'subheading',
                'content'       => esc_html__( 'Spacing', 'float-any' ),
            ),
            array(
                'id'            => 'panel_padding',
                'type'          => 'spacing',
                'title'         => esc_html__( 'Padding', 'maxboxy' ),
                'help'          => esc_html__( 'Default is 1.5em', 'maxboxy' ),
                'units'         => array( '%', 'px', 'em', 'rem' ),
                'default'       => array(
                                        'top'    => '1.5',
                                        'right'  => '1.5',
                                        'bottom' => '1.5',
                                        'left'   => '1.5',
                                        'unit'   => 'em',
                                    ),
            ),

            array(
                'type'          => 'subheading',
                'content'       => esc_html__( 'Border', 'float-any' ),
            ),
            array(
                'id'            => 'panel_border',
                'type'          => 'border',
                'title'         => esc_html__( 'Border', 'maxboxy' ),
            ),
            array(
                'id'            => 'panel_border_radius',
                'type'          => 'spacing',
                'title'         => esc_html__( 'Border radius', 'maxboxy' ),
                'units'         => array( '%', 'px', 'em', 'rem' ),
                'right_icon'    => false,
                'left_icon'     => false,
                'default'       => array(
                    'top'       => '0',
                    'right'     => '0',
                    'bottom'    => '0',
                    'left'      => '0',
                    'unit'      => 'px',
                    ),
                ),


        ),

    );





    /*
     * Toggler tab
     */
    $toggler_basic_tab  = array(

        array(
            'type'          => 'submessage',
            'style'         => 'info',
            'content'       => esc_html__( 'Here you can set how the panel\'s close or toggle on/off button appears.', 'float-any' ),
        ),
        array(
            'id'            => 'unset_toggler',
            'type'          => 'switcher',
            'title'         => esc_html__( 'Unset toggler/closer', 'float-any' ),
            'help'          => esc_html__( 'You can still utilize the in-content closing/toggling buttons, no matter if this is On or Off. However, unless you come with some unique solution, it doesn\'t make much sense disabling this for Toggler/Igniter panel types, because in any way the panel needs the On trigger.', 'float-any' ),
            //'dependency'    => array('panel_type','any','closer,hover', true, 'visible'),   //---> however, setting the dependency for the closer,hover will make a problem for the further fields when toggler, igniter are selected
        ),
        array(
            'id'            => 'button_open',
            'type'          => 'select',
            'title'         => esc_html__( 'Opener icon', 'float-any' ),
            'help'          => esc_html__( 'It\'s opening the panel', 'float-any' ),
            'options'       => array(
                'iks-plus'          => esc_html__('Plus (+)',           'float-any'),
                'minus'             => esc_html__('Minus (-)',          'float-any'),
                'iks'               => esc_html__('Closer (x)',         'float-any'),
                'point-left'        => esc_html__('Point left (<) ',    'float-any'),
                'point-right'       => esc_html__('Point right (>) ',   'float-any'),
                'point-up'          => esc_html__('Point up (^) ',      'float-any'),
                'point-down'        => esc_html__('Point down (ˇ) ',    'float-any'),
                'ham'               => esc_html__('Hamburger (=) ',     'float-any'),
                'ham-f1'            => esc_html__('Hamburger 2 (=) ',   'float-any'),
                'ham-f2'            => esc_html__('Hamburger 3 (=) ',   'float-any'),
                'ham-f3'            => esc_html__('Hamburger 4 (=) ',   'float-any'),
                'ham-f4'            => esc_html__('Hamburger 5 (=) ',   'float-any'),
                            ),
            'default'       => 'iks-plus',
            'dependency'    => array('unset_toggler|panel_type','!=|any','true|toggler,igniter', '|true'),
        ),
        array(
            'id'            => 'button_close',
            'type'          => 'select',
            'title'         => esc_html__( 'Closer icon', 'float-any' ),
            'help'          => esc_html__( 'It\'s closing the panel', 'float-any' ),
            'options'       => array(
                'iks-plus'          => esc_html__('Plus (+)',           'float-any'),
                'minus'             => esc_html__('Minus (-)',          'float-any'),
                'iks'               => esc_html__('Closer (x)',         'float-any'),
                'point-left'        => esc_html__('Point left (<) ',    'float-any'),
                'point-right'       => esc_html__('Point right (>) ',   'float-any'),
                'point-up'          => esc_html__('Point up (^) ',      'float-any'),
                'point-down'        => esc_html__('Point down (ˇ) ',    'float-any'),
                'ham'               => esc_html__('Hamburger (=) ',     'float-any'),
                'ham-f1'            => esc_html__('Hamburger 2 (=) ',   'float-any'),
                'ham-f2'            => esc_html__('Hamburger 3 (=) ',   'float-any'),
                'ham-f3'            => esc_html__('Hamburger 4 (=) ',   'float-any'),
                'ham-f4'            => esc_html__('Hamburger 5 (=) ',   'float-any'),
            ),
            'default'       => 'iks',
            'dependency'    => array('unset_toggler|panel_type','!=|any','true|toggler,igniter', '|true'),
        ),
        array(
            'id'            => 'closer_size',
            'type'          => 'select',
            'title'         => esc_html__( 'Size', 'float-any' ),
            //'help'          => esc_html__( '', 'float-any' ),
            'options'       => array(
                'size-m'    => esc_html__('Mini',   'float-any'),
                'size-s'    => esc_html__('Small',  'float-any'),
                'normal'    => esc_html__('Normal', 'float-any'),
                'size-l'    => esc_html__('Large',  'float-any'),
                'size-h'    => esc_html__('Huge',   'float-any'),
            ),
            'default'       => 'normal',
            'dependency'    => array('unset_toggler','!=','true'),
        ),

        array(
            'type'          => 'subheading',
            'style'         => 'normal',
            'content'       => esc_html__( 'Positioning', 'float-any' ),
            'dependency'    => array('unset_toggler','!=','true'),
          ),
        array(
            'id'            => 'direction',
            'type'          => 'button_set',
            'title'         => esc_html__( 'Position - Direction', 'float-any' ),
            'help'          => esc_html__( 'It is relative to the panel\'s content box, i.e. sets its direction relative to the adjacent content box.', 'float-any' ),
            'options'       => array(
                                    'row'       => esc_html__('Horizontal', 'float-any'),
                                    'column'    => esc_html__('Vertical',   'float-any'),
                                ),
            'default'       => 'row',
            //'dependency'    => array('panel_type|unset_toggler','not-any|!=','toggler,igniter|true', 'true|'),
            //'dependency'    => array('unset_toggler','!=','true', '', 'visible'),
            'dependency'    => array('unset_toggler','!=','true'),
        ),
        array(
            'id'            => 'reverse_direction',
            'type'          => 'checkbox',
            'title'         => esc_html__( 'Position - Reverse order', 'float-any' ),
            'help'          => esc_html__( 'Basicaly, toggler/closer button will switch the position with the content box based on the set direction.', 'float-any' ),
            'dependency'    => array('unset_toggler','!=','true'),
        ),
        array(
            'id'            => 'closer_align',
            'type'          => 'button_set',
            'title'         => esc_html__( 'Position - Alignment', 'float-any' ),
            'help'          => esc_html__( 'Align toggler/closer button relative to the content box. In essence, alignment takes different course in regards to the "Direction". This means, if "Direction" is set as "Horizontal", "Alignment" will take vertical course. And vice-versa, if "Direction" is set to "Vertical", "Alignment" will take horizontal course.', 'float-any' ),
            'options'       => array(
                                    'start'  => esc_html__('Start',     'float-any'),
                                    'center' => esc_html__('Center',    'float-any'),
                                    'end'    => esc_html__('End',       'float-any'),
                                ),
            'default'       => 'start',
            'dependency'    => array('unset_toggler','!=','true'),
        ),

        array(
            'type'          => 'subheading',
            'content'       => esc_html__( 'Styling', 'maxboxy-float-any' ),
            //'dependency'    => array('panel_type','any','toggler,igniter', true),
            'dependency'    => array('unset_toggler','!=','true'),
        ),
        array(
            'id'            => 'closer_styling',
            'type'          => 'select',
            'title'         => esc_html__( 'Apply style(s)', 'maxboxy-float-any' ),
            'desc'          => esc_html__( 'Multiple selections allowed (use control key).', 'maxboxy-float-any' ),
            'help'          => esc_html__( 'Change the way the Toggler/closer button(s) are displayed.', 'maxboxy-float-any' ),
            'options'       => array(
                'squared'   => esc_html__('Squared',      'maxboxy-float-any'),
                'rounded'   => esc_html__('Rounded',      'maxboxy-float-any'),
                'inside'    => esc_html__('Inside',       'maxboxy-float-any'),
                'bordered'  => esc_html__('Bordered',     'maxboxy-float-any'),
            ),
            'multiple'      => true,
            'attributes'    => array(
              'style'       => 'height:80px;'
            ),
            //'dependency'    => array('panel_type','any','closer,toggler,igniter', true),
            'dependency'    => array('unset_toggler','!=','true'),
        ),
        /* this option will need improvment - offering a couple of more optopns - set with select field
        array(
            'id'            => 'trigger_anim',
            'type'          => 'checkbox',
            'title'         => esc_html__('Trigger animation', 'maxboxy'),
            'help'          => esc_html__('Trigger button (icon) will be animated (rotated)', 'maxboxy'),
            //'dependency'    => array('panel_type','any','toggler,igniter', true),
            'dependency'    => array('unset_toggler|panel_type','!=|any','true|toggler,igniter', '|true'),
        ),
        */
    );


    $set_toggler_tab = array(

        'title'     => esc_html__( 'Toggler', 'maxboxy' ),
        'icon'      => 'fas fa-plus',

        // if in the future we add any  feature available with Pro verion use the following line: 
        //'fields'    => array_merge( $toggler_basic_tab, $toggler_advanced ),
        'fields'    => $toggler_basic_tab,

    );



    /*
     * ================================================================
     * Floatany settings
     * ================================================================
     */
    CSF::createMetabox( '_mb_floatany', array(
      //'title'           =>  'Float Any',
      'title'       => esc_html__( 'Settings',    'maxboxy' ),
      'post_type'   =>  array( 'float_any' ),
      'context'     =>  'side',
    ) );


    CSF::createSection( '_mb_floatany', array(
        //'title'      => esc_html__('', 'maxboxy'),
        'fields' => array(

            array(
                'id'            => 'box_options',
                'type'          => 'tabbed',
                //'title'         => esc_html__( 'Options',                                   'maxboxy' ),
                'help'          => esc_html__( 'Switch the tabs to set all the options',    'maxboxy' ),
                'class'         => 'major-fany-options',
                'tabs'          => array(
                                        $set_starter_tab,
                                        $colors_tab,
                                        $set_sizes_tab,
                                        $set_toggler_tab,
                                        $particlular_pages_tab,
                                        $appear_tab_box,
                                    ),

            ),

        )

    ) );
