<?php

    if ( ! defined( 'ABSPATH' ) ) exit;


    if ( ! class_exists( 'Float__Any' ) ) {

        class Float__Any {


            public function _escaped_css() {

                $zindex             =   isset( get_option( '_float_any_options' )[ 'zindex' ] )
                                    ?          get_option( '_float_any_options' )[ 'zindex' ] : '';

                $panel_bg           =  isset( get_option( '_float_any_options' )[ 'panel_popup_bg' ] )
                                    ?         get_option( '_float_any_options' )[ 'panel_popup_bg' ] : '';

                $panel_color        =   isset( get_option( '_float_any_options' )[ 'panel_popup_color' ] )
                                    ?          get_option( '_float_any_options' )[ 'panel_popup_color' ] : '';

                $shut_bg            =  isset( get_option( '_float_any_options' )[ 'panel_shut_bg' ] )
                                    ?         get_option( '_float_any_options' )[ 'panel_shut_bg' ] : '';

                $shut_color         =   isset( get_option( '_float_any_options' )[ 'panel_shut_color' ] )
                                    ?          get_option( '_float_any_options' )[ 'panel_shut_color' ] : '';


                $panel_wrap         =   is_numeric( $zindex )   ?   'z-index:' .intval( $zindex ) .';'  :   '';

 
                $panel_content      =   ! empty($panel_bg[ 'background-image' ][ 'url' ]) ? 'background-image:url('.esc_url( $panel_bg[ 'background-image' ][ 'url' ] ).');': '';
                $panel_content     .=   ! empty( $panel_bg[ 'background-repeat' ] )       ? 'background-repeat:'     .$panel_bg[ 'background-repeat' ]                 .';' : '';
                $panel_content     .=   ! empty( $panel_bg[ 'background-position' ] )     ? 'background-position:'   .$panel_bg[ 'background-position' ]               .';' : '';
                $panel_content     .=   ! empty( $panel_bg[ 'background-attachment' ] )   ? 'background-attachment:' .$panel_bg[ 'background-attachment' ]             .';' : '';
                $panel_content     .=   ! empty( $panel_bg[ 'background-size' ] )         ? 'background-size:'       .$panel_bg[ 'background-size' ]                   .';' : '';
                $panel_content     .=   isset( $panel_bg[ 'background-color' ] ) && $panel_bg[ 'background-color' ] !== '#e8e2b7'
                                    ?   'background-color:' .$panel_bg[ 'background-color' ] .';'   : '';

                $panel_content     .=   $panel_color !== '#4b4b4b' ? 'color:' .$panel_color .';' : '';


                $panel_shut         =   $shut_bg !== '#333333'      ?   'background:' .$shut_bg .';' : '';
                $panel_shut        .=   $shut_color !== '#ffffff'   ?   'color:' .$shut_color   .';' : '';




                $out     =   ! empty( $panel_wrap )     ?   '.fany-wrap {' .esc_attr( $panel_wrap ) .'}' : '';
                $out    .=   ! empty( $panel_content )  ?   '.fany-wrap .fany .fany-content {' .esc_attr( $panel_content ) .'}' : '';
                $out    .=   ! empty( $panel_shut )     ?   '.fany-wrap .fany .fany-shut, .fany-wrap.panel-type-hover.mark-hoverout-close .hover-out-closing-mark {' .esc_attr( $panel_shut ) .'}' : '';
                
                /* To return $out, in order to skip printing empty floatany-inline-css you could use one of the following:
                 * if ( isset( get_option( '_float_any_options' )[ 'panel_popup_color' ] ) ) {
                 * $fa_options = get_option( '_float_any_options', '' );
                 * if ($fa_options !== '' ) {
                 * 
                 * However,the same effect is achieved by saving default values of CSF's 'save_defaults' to true
                 */

                return $out;

            }



            private function panel() {

                $set_args = array(
                    'post_type'   => 'float_any',
                    'numberposts' => -1,
                );

                $select_posts   =   get_posts( $set_args );
                $set_out        =   array();

                foreach ( $select_posts as $post ) : setup_postdata( $post );

                    $id                     =   sanitize_title( get_post( $post )->post_title );
                    $settings               =   get_post_meta( $post->ID, '_mb_floatany', true );
                    $get_content            =   ! empty( get_post( $post )->post_content )  ?   get_post( $post )->post_content : ''; // must be set here, coz it's different than with shortcodes
                    $_set_content           =   '';
                    $exclude                =   false;
                    $check_particular_pages =   true;
                    $_escaped_out           =   '';

                    include 'panel/parts/selection-fork.php';

                    if( ! empty( $id ) && isset( $settings ) && ! empty( $_set_content ) ) {

                        if( function_exists( 'floatany_pro_load_textdomain' ) ) {

                            if( empty( $box_options[ 'set_particular_pages' ] ) ) {

                                $check_particular_pages =  true;

                            } else {

                                $check_particular_pages = false;
                                include WP_PLUGIN_DIR .'/maxboxy-float-any/panel/parts/particular-pages.php';

                            }

                            include WP_PLUGIN_DIR .'/maxboxy-float-any/panel/parts/excluder.php';

                        }

                        if( $check_particular_pages !== false && $exclude !== true ) {

                            if ($overall_loading === 'enabled' && $appear_check !== false) {

                                include 'panel/parts/panel.php';

                            }

                        }

                    }

                    // collect the $_escaped_out from the box.php
                    $set_out[] = $_escaped_out;

                endforeach;
                wp_reset_postdata();

                return $set_out;

            }



            public function out() {

                if ( ! empty( $this->panel() ) ) {

                    $out_panels = implode( '', $this->panel() );

                    if ( ! empty( $out_panels ) ) {

                        wp_enqueue_style( 'floatany' );
                        wp_enqueue_style( 'floatany-pro' ); // if pro version is active

                        // make sure jquery is loading
                        wp_enqueue_script( 'jquery' );

                        wp_enqueue_script( 'maxpressy-dotimeout' );
                        wp_enqueue_script( 'floatany' );
                        wp_enqueue_script( 'floatany-pro' ); // if pro version is active

                        echo '<div class="floatany-wrapper">' .$out_panels .'</div>';

                    }

                }

            }


        } // end class

    } // end class exists check
