<?php

    if( ! defined( 'ABSPATH' ) ) exit;


    /* -------------------------------------------------------
     * Version
     * ------------------------------------------------------*/
    if( ! function_exists( 'floatany_version' ) ) {

        function floatany_version() {

            $plugin_version = '0.1.3';

            return $plugin_version;

        }

    }

    /* -------------------------------------------------------
     * Enqueue
     * ------------------------------------------------------*/
    if( ! function_exists( 'floatany_scripts' ) ) {

        function floatany_scripts() {

            if( class_exists( 'Float__Any' ) && ! is_admin() ) {

                $plugin_version = floatany_version();


                wp_register_style( 'floatany', plugins_url( '/library/css/min/main.css', __FILE__ ), array(), $plugin_version, 'all' );

                // dotimeout with prefix 'maxpressy-' coz other plugins can depend on the same script
                wp_register_script( 'maxpressy-dotimeout', plugins_url( '/library/js/min/do-timeout.js', __FILE__ ), array( 'jquery' ), $plugin_version, true );

                wp_register_script( 'floatany', plugins_url( '/library/js/min/main.js', __FILE__ ), array( 'jquery', 'maxpressy-dotimeout' ), $plugin_version, true );
                // for debugging:
                //wp_enqueue_script( 'floatany', plugins_url( '/library/js/src/main.js', __FILE__ ), array( 'jquery', 'maxpressy-dotimeout' ), $plugin_version, true );

                // add local vars for translation, accesed through the JS
                $local_var_array  = array(
                    'toggler_title_open'  => esc_html__( 'Open',        'float-any' ),
                    'toggler_title_close' => esc_html__( 'Close',       'float-any' ),
                );

                wp_localize_script( 'floatany', 'floatany_localize', $local_var_array );


                // large screen break point - add inline
                $large_screen_break_point   =   isset( get_option( '_float_any_options' )[ 'large_screen_break_point' ] )
                                            ?    (int)(get_option( '_float_any_options' )[ 'large_screen_break_point' ] ) : '';

                if( is_numeric( $large_screen_break_point ) && $large_screen_break_point !== 992 ) {

                    $script  = 'var new_large_screen_break_point = ' .$large_screen_break_point .';';

                    wp_add_inline_script( 'floatany', $script, false );

                }


                // dynamic css output
                if( class_exists( 'Float__Any' ) ) {

                    $FA = new Float__Any;

                    $_escaped_data = ! empty( $FA->_escaped_css() ) ? $FA->_escaped_css() : '';

                    wp_add_inline_style( 'floatany', $_escaped_data );

                }

            }

        }
        add_action( 'wp_enqueue_scripts', 'floatany_scripts' );

    }



    /* -------------------------------------------------------
     * Load plugin textdomain
     * ------------------------------------------------------*/
    if( ! function_exists( 'floatany_load_textdomain' ) ) {

        function floatany_load_textdomain() {

          load_plugin_textdomain( 'maxboxy', false, basename( dirname( __FILE__ ) ) . '/languages' );

        }
        add_action( 'plugins_loaded', 'floatany_load_textdomain' );

    }




    /* -------------------------------------------------------
     * Post type - FloatAny
     * -------------------------------------------------------*/
    if( ! function_exists( 'floatany_post_type' ) ) {

        function floatany_post_type() {

            $labels = array(
                'name'                => __( 'FloatAny Panels',        'maxboxy' ),
                'singular_name'       => __( 'FloatAny Panel',         'maxboxy' ),
                'menu_name'           => __( 'FloatAny',               'maxboxy' ),
                'parent_item_colon'   => __( 'Parent Item:',            'maxboxy' ), // not used in non hierarchical
                'all_items'           => __( 'Panels',                  'maxboxy' ),
                // 'view_item'           => __( 'View Panel',               'maxboxy' ),
                'view_item'           => false,
                'add_new_item'        => __( 'Add New Panel',           'maxboxy' ),
                'add_new'             => __( 'Add New',                 'maxboxy' ),
                'edit_item'           => __( 'Edit FloatAny Panel',    'maxboxy' ),
                'update_item'         => __( 'Update FloatAny Panel',  'maxboxy' ),
                'search_items'        => __( 'Search FloatAny Panel',  'maxboxy' ),
                'not_found'           => __( 'Not found',               'maxboxy' ),
                'not_found_in_trash'  => __( 'Not found in Trash',      'maxboxy' ),
            );


            $args = array(
                //'label'               => __( 'FloatAny',  'maxboxy' ),
                'label'               => 'FloatAny',
                'labels'              => $labels,
                'supports'            => array( 'title', 'editor' ),
                'taxonomies'          => array( 'category' ),
                'show_in_rest'        => true,
                'hierarchical'        => false,
                'public'              => true,
                'show_ui'             => true,
                //'show_in_menu'        => 'maxboxy-settings',
                'show_in_menu'        => true,
                'show_in_nav_menus'   => false,
                'show_in_admin_bar'   => true,
                'menu_position'       => 60,
                'menu_icon'           => 'dashicons-layout',
                'can_export'          => true,
                'has_archive'         => false,
                'exclude_from_search' => true,
                'publicly_queryable'  => false,
                'rewrite'             => false,
            );
            register_post_type( 'float_any', $args );

        }

        add_action( 'init', 'floatany_post_type' );

    }
