/*
 *  All regular jQuery here
 */
jQuery(document).ready(function ($) {

    "use strict";



    // basic panel, i.e. .role-basic which loads only with the Basic plugin version. 
    // Exclude igniter which is handled with toggler-on class, i.e. not by adding the .on to the .fany-wrap
    //var basic_panel = $('.fany-wrap.role-opened.role-basic:not(.panel-type-igniter)');
    var basic_panel = $('.fany-wrap.role-basic:not(.role-hidden):not(.panel-type-igniter)');

    if (basic_panel.length) {

        $.each(basic_panel, function () {

            $(this).doTimeout( 'load_panel_wait', 20, function () {

                // proceed if the panel isn't marked as banished
                if ( !$(this).prop('class').match(/is-banished/) ) {

                    // reveal the initially open panel with a timeout, so that revealing effects can take its place, eg. slideVertical, slideHorizontal
                    $(this).doTimeout( 'reveal', 280, function () {

                        $(this).addClass('on');
                        $(this).panelOverlayOn();

                        $(this).panelRotator();

                    });

                }

            });

        });

    }




    /*
    * Panel overlay - On
    */
    $.fn.panelOverlayOn = function() {

        this.each( function () {

            if ( $(this).find('>.fany-overlay').length ) {

                $(this).find('>.fany-overlay').addClass('on');
                
                $('body').addClass('fany-overlay-on');

            }

    });

    return this;

};


    /*
    * Panel overlay - Off
    */
    $.fn.panelOverlayOff = function() {

        this.each( function () {

            if ( $(this).find('>.fany-overlay').length ) {

                $(this).find('>.fany-overlay').removeClass('on');
                
                $('body').removeClass('fany-overlay-on');

            }

    });

    return this;

};


    /*
    * Panel rotator
    */
    $.fn.panelRotator = function() {

        this.each( function () {

            var panel           =   $(this),
                rotator_repeat  =   panel.prop('class').match(/rotator-repeat/) ? true : false,
                time_on         =   typeof panel.data('rotator-on')   !== 'undefined'     ?   panel.data('rotator-on')  *1000     : 5000,  // with *1000 convert seconds to miliseconds
                time_off        =   typeof panel.data('rotator-off')  !== 'undefined'     ?   panel.data('rotator-off') *1000     : 10000; // with *1000 convert seconds to miliseconds

            if (panel.prop('class').match(/role-rotator/)) {

                panel.addClass('rotator-started');

                // if exist, move all 'style' 'script' & 'link' tags to the beginning so they do not obstacle the next() traversing
                panel.find('> .fany > .fany-content').prepend(panel.find('> .fany > .fany-content').children('style, script, link'));

                // excluding 'style, script' tags with .not()
                var item = panel.find('> .fany > .fany-content').children().not('style, script');

                // ...mark the rotating items and set the 1st as active
                //item.addClass('rotator-item');
                item.first().addClass('rotator-first rotator-active');
                item.last().addClass('rotator-last');


                var has_child_items  =   panel.find('.fany-content > .fany-rotator-parentor');

                if(has_child_items.length) {

                    // first & last() won't make it when there's multiple .fany-rotator-parentor ...so set the $.each
                    $.each(has_child_items, function () {

                        var child_item = $(this).find('>ul>li');
                        
                        child_item.addClass('rotator-child')
                        child_item.first().addClass('rotator-first rotator-active');
                        child_item.last().addClass('rotator-last');

                    });

                }

                // used multiple times, so the timeout is set here in the function
                function panelClose() {

                    // On the set time, close the panel
                    panel.doTimeout( 'closePanel', time_on, function () {

                        panel
                            .removeClass('on')
                            .panelOverlayOff();

                    });

                }

                // show the panel and close
                function panelDance() {

                    //...show the panel
                    panel
                        .addClass('on')
                        .panelOverlayOn();

                    // ...close it on the delayed time (time is set in the function, coz panelClose is used multiple times)
                    panelClose();

                }

                // marking the rotator item as active
                function rotatorDance() {

                    // Swith to the next rotator item
                    $.fn.moveToNext = function() {

                        this.each( function() {

                            $(this)
                                .removeClass('rotator-active')
                                .next().addClass('rotator-active');

                        });

                        return this;

                    };

                    // Return to the first item (executes when the rotator is repeating)
                    $.fn.moveToFirst = function() {

                        this.each( function() {

                            $(this)
                                .removeClass('rotator-active')
                                .siblings('.rotator-first').addClass('rotator-active'); // ...activate the first one, so it gets executed again if the rotator is repeating

                        });

                        return this;

                    };

                    var rotator_active          =   panel.find('> .fany > .fany-content > .rotator-active'),
                        rotator_last_active     =   rotator_active.length && rotator_active.prop('class').match(/rotator-last/)  ? true : false,
                        has_children            =   rotator_active.length && rotator_active.prop('class').match(/fany-rotator-parentor/) ? true : false,
                        rotator_children_end    =   rotator_active.length && rotator_active.prop('class').match(/rotator-children-end/)  ? true : false,
                        mark_last               =   rotator_last_active === true && (has_children === false || has_children === true && rotator_children_end === true)   ? true : false,
                        rotator_active_time     =   time_on + 850; // increment for 850 so it gives the time to panel to close, coz style transition (fadeIn, slideHorizontal, slideVertical) are 800ms

                    rotator_active.doTimeout( 'setRotatorDance', rotator_active_time, function () {

                        // if rotator is repeating & and the last item is active 
                        if(rotator_repeat === true && mark_last === true) {

                            rotator_active.moveToFirst(); // ...activate the first one, so it gets executed again if the rotator is repeating

                        // if rotator isn't repeating & and the active item is the last one
                        } else if(rotator_repeat === false && mark_last === true) {

                            rotator_active.removeClass('rotator-active');

                            panel.addClass('rotator-end'); // ...end rotation

                        // ...everything else, i.e. independent from the rotator_repeat & mark_last
                        } else {

                            // if the active item is parentor, i.e. has children
                            if(rotator_active.prop('class').match(/fany-rotator-parentor/)) {

                                var child_active = rotator_active.find('.rotator-child.rotator-active');

                                // active child isn't the last one
                                if(child_active.not('.rotator-last').length) {

                                    child_active.moveToNext(); // ...just move to the next item

                                // active child is the last one
                                } else if(child_active.prop('class').match(/rotator-last/)) {

                                    child_active.moveToFirst(); // ...activate the first one, so it gets executed again if the rotator is repeating

                                    // further, set the parentor's behavior:

                                    // ...if the parentor item isn't the last item
                                    if(!rotator_active.prop('class').match(/rotator-last/)) {

                                        rotator_active.moveToNext();

                                    // if the rotator isn't repeating & the parentor item is the last top item (may be the only top item)
                                    } else if(rotator_repeat === false && rotator_active.prop('class').match(/rotator-last/)) {

                                        rotator_active
                                            .removeClass('rotator-active')
                                            .addClass('rotator-children-end');

                                        panel.addClass('rotator-end'); // ...end rotation

                                    // if the rotator is repeating & the parentor item is the last item & paretor item isn't the first rotator's item at the same time, i.e. it has more than one top item
                                    } else if(rotator_repeat === true && rotator_active.prop('class').match(/rotator-last/) && !rotator_active.prop('class').match(/rotator-first/)) {

                                        rotator_active.moveToFirst(); // ...activate the first one, so it gets executed again if the rotator is repeating

                                    }

                                }

                            // regular item
                            } else {

                                rotator_active.moveToNext();

                            }

                        }

                    });

                }


                /*
                 * This is for the first rotator's item, i.e. when the panel gets initally open.
                 * ...After that it will be proceeding with the setInterval, i.e. doRotatorDance
                 */
                panelDance();
                rotatorDance();

                var interval =  time_on + time_off;

                var doRotatorDance = function() {

                    if(panel.prop('class').match(/rotator-end/)) {

                        clearInterval(doRotatorDance);

                    // show the panel if .rotator-end doesn't exists
                    } else {
                        
                        // if the rotator isn't paused by user's closing
                        if(!panel.prop('class').match(/rotator-pause/)) {

                            panelDance();
                            rotatorDance();

                        }

                    }

                }

                setInterval(doRotatorDance, interval);

            } // end .role-rotator exists check

        });

        return this;

    };


    /*
    * Exiter panel
    */
    if ($('.fany-wrap.role-exit').length) {
       
        $.each($('.fany-wrap.role-exit'), function () {
            
            var panel = $(this);
            
            $(document).on('mouseout', function (e) {

                 // proceed if the panel isn't marked as banished & mouse pointer aproches to the browser's edge
                 if ( !panel.prop('class').match(/is-banished/) && e.clientY < 0 ) {
                     
                     panel
                     .addClass('on')
                     .panelOverlayOn();

                    // rotaotor
                    if (panel.prop('class').match(/role-rotator/)) {

                        // if rotation is already run and finished, initialize it again
                        if (panel.prop('class').match(/rotator-end/)) {
                            
                            panel
                            .removeClass('rotator-end')
                            .panelRotator();
                            
                        // if rotation isn't yet run, initialize it (this prevents another initializatoin during the existing rotation run)
                        } else if (!panel.prop('class').match(/rotator-started/)) {

                            panel.panelRotator();

                        }

                    }

                }

             });

         });

     }


    /*
     * Banish Panel - remove the open box if it's added to the localStorage as banish (prevent its appearing)
     */
    if ($('.role-banish').length) {

        $.each($('.role-banish'), function () {

            var panel_name = $(this).attr('id');

            if (localStorage.getItem(panel_name) === 'banish') {

                // remove the panel
                $(this)
                    .addClass('is-banished') // mark as banished so exiter & basic panel aren't processed
                    .remove();

            }

        });

    }



    /*
     * Toggler of panels
     */

    // .fany-toggler covers both, toggler & igniter
    var panel_toggler = $('.fany-toggler, .panel-type-toggler .fany-overlay, .panel-type-igniter .fany-overlay');

    // actual toggler's dance (on click)
    panel_toggler.on('click', function (e) {

        e.preventDefault();

        var panel =  $(this).closest('.fany-wrap');

        // show/hide the panel
        panel.toggleClass('on');

        // overlay ...here we go with toggleClass, so do not use panelOverlayOn()
        if ( panel.find( '>.fany-overlay' ).length ) {
            panel.find( '>.fany-overlay' ).toggleClass( 'on' );
            $('body').toggleClass('fany-overlay-on');
        }

        panel.find('.fany-toggler').toggleClass('toggler-on');

        var shut_inner              =   panel.find( '.shut-inner' ),
            data_button_open        =   typeof shut_inner.data('button-open')     !== 'undefined'     ?   shut_inner.data('button-open')    : '',
            data_button_close       =   typeof shut_inner.data('button-close')    !== 'undefined'     ?   shut_inner.data('button-close')   : '';

        // toggle open/close classes ( i.e. responsible for swithcing its icons)
        if (data_button_open.length || data_button_close.length) {
            shut_inner.toggleClass( data_button_open + ' ' + data_button_close );
        }

        var toggler =   panel.find( '>.fany >.fany-shut' ),
            open    =   floatany_localize.toggler_title_open,
            close   =   floatany_localize.toggler_title_close;

        // switch toggler's title attr (open/close)
        if ( toggler.length && toggler.prop('class').match(/toggler-on/) ) {
            toggler.attr('title', open);
        } else {
            toggler.attr('title', close);
        }


        // rotaotor
        if (panel.prop('class').match(/role-rotator/)) {
            
            // if is igniter and rotator not yet initialized 
            if (panel.prop('class').match(/panel-type-igniter/) && !panel.prop('class').match(/rotator-started/)) {
                
                // ...initialize the rotator
                panel.panelRotator();

            // no more rotating items (just close the panel)
            } else if (panel.prop('class').match(/rotator-end/)) {
                
                panel.removeClass('on');
                
            // toggle the pause, i.e. pause/continue the rotator on the panel toggling
            } else {

                panel.toggleClass('rotator-pause');

            }

        }


        // rotate the toggle icon
        if (panel.prop('class').match(/trigger-anim-rotate/)) {
            
            panel.find( '>.fany >.fany-shut' )
                .doTimeout(300, 'addClass', 'trigger-rotator') // give a timeout, otherwise won't work
                .doTimeout(1000, 'removeClass', 'trigger-rotator');
            
        }


    });

    // in content toggler - add a class, so that the default toggler is hiden (through the css)
    var in_content_toggler = $('.fany-toggler:not(.shut-default)');

    $.each(in_content_toggler, function () {

        $(this).closest('.fany-wrap').addClass('has-in-content-toggler');

    });


    /*
     * Close a panel with hover-out from the panel
     */
    var fany_shut_with_hover = $( '.fany-wrap.panel-type-hover' );

    if( fany_shut_with_hover.length ) {

        fany_shut_with_hover.on({

            mouseleave: function () {

                $(this).removeClass('on');

                // check is it inline opened
                var is_inline  =   $(this).prop('class').match(/fany-inline-set/) ? true : false;
                
                if( is_inline === true ) {

                    // target a .fany with .children()
                    $(this).children().css({
                        'display'   : '',
                        'left'      : '',
                        'right'     : '',
                        'top'       : '',
                    });
                    
                    // remove the closer mark set on the trigger element
                    var fany_id             = $(this).attr('id'),
                        elm_marked_closed   = $('.fany-mark-close');

                    $.each(elm_marked_closed, function () {
                        var matchingElements = $(this).children().attr( "href" ) === '#' +fany_id ? true : false;

                        if( matchingElements === true ) {
                            $(this).removeClass('fany-mark-active');
                        }
                    });

                    $(this).doTimeout(20, 'removeClass', 'fany-inline-set');

                }

            }

        });

    }


    // set a class when the panel is hovered, so it can be used in css
    var panel_hovered = $( '.panel-type-hover.mark-hoverout-close' );

    if( panel_hovered.length ) {

        panel_hovered.on({

            mouseenter: function () {

                $(this).addClass('ishovered');

            },

            mouseleave: function () {

                $(this).removeClass('ishovered');

            }

        });

    }



    function fanyNospaceDestroy() {

        var panel_nospace   =   $('.fany-wrap.nospace');

        if (panel_nospace.length) {

            $.each(panel_nospace, function () {

                $(this).find( '> .fany > .fany-content' ).css({
                            'height' : '',
                });

                $(this).removeClass('nospace');

            });

        }

    }



    function fanyNospace() {

        var panel   =   $('.fany-wrap');

            $.each(panel, function () {

                var is_on               =   $(this).prop('class').match(/on/)              ? true : false,
                    is_inline           =   $(this).prop('class').match(/fany-incontent/)  ? true : false,
                    is_shorty           =   $(this).prop('class').match(/shortcode-made/)  ? true : false,
                    is_shorty_inline    =   is_shorty === true && is_inline === true       ? true : false;

                //if(is_on === true) {
                if(is_on === true && is_shorty_inline === false) {

                    var panel_height    =   $(this).find('>.fany').outerHeight(),
                        window_height   =   $(window).outerHeight();

                    if(panel_height > window_height) {

                        $(this).find( '> .fany > .fany-content' )
                            .css({
                                'height' : window_height -50, // with -50 make sure the close button is in the view
                            });

                        $(this).addClass('nospace');

                    }

                }

            });

    }
    $(this).doTimeout(1350, fanyNospace);


    // Close the box
    $('.panel-type-closer .fany-overlay, .fany-closer').on('click', function () {

        var panel            =  $(this).closest('.fany-wrap'),
            count_overlay_on =  $( '.fany-overlay.on' ).length;

        // if less than 1 overlays are open (i.e. do not close the overlay if there's more than one open) && overlay is inside the current box
        if (count_overlay_on <= 1 && panel.find('>.fany-overlay.on').length) {
            $('body').removeClass('fany-overlay-on');
        }

        // if the box is marked as .nospace, run its Desstroy function
        if (panel.prop('class').match(/nospace/) ) {
            $(this).doTimeout(100, fanyNospaceDestroy);
        }


        // remove 'on' classes
        panel
            .removeClass('on') // for the box
            .find('>.fany-overlay').removeClass('on'); // for the overlay
        
        var rotator_close_pause =   typeof panel.data('rotator-close-pause')   !== 'undefined'  ?   panel.data('rotator-close-pause')  *1000     : false, // with *1000 convert seconds to miliseconds
            role_rotator        =   panel.prop('class').match(/role-rotator/) ? true : false;

        if(role_rotator === true && rotator_close_pause !== false) {

            panel
                .addClass('rotator-pause')
                .doTimeout(rotator_close_pause, 'removeClass', 'rotator-pause');

        }

        // remove fany-inline-set
        if (panel.prop('class').match(/fany-inline-set/) ) {

            panel.children().css({
                            'left'      : '',
                            'right'     : '',
                            'top'       : '',
                        });

            panel.find('.fany-content').css('overflow', '' );

            panel.doTimeout(20, 'removeClass', 'fany-inline-set');

        }

        // banish panel
        var panel_ban = $(this).closest('.fany-wrap.role-banish').length ? true : false;

        // add the dismissed panel to the localStorage
        if (typeof(Storage) !== 'undefined') {

            if (panel_ban === true) {

                var panel_name = panel.attr('id');

                // Store
                localStorage.setItem(panel_name, 'banish');

                // remove the panel
                panel
                    .addClass('is-banished') // mark as banished so exiter & basic panel aren't processed
                    .remove();

            }

        }

    });



    /*
     *  Panel's dimensions
     */
    function fanySizes() {

        var panel_size                  =   $('.fany.panel-with-size'),
            current_screen_size_width   =   $(window).width(),
            large_screen_break_point    =   992;

        if (typeof new_large_screen_break_point !== 'undefined') {
            var large_screen_break_point = new_large_screen_break_point !== 992 ? new_large_screen_break_point : large_screen_break_point;
        }

        if (panel_size.length) {

            $.each(panel_size, function () {

                var panel_size_width_1st    =   typeof $(this).data('panel-width')  !== 'undefined' ?   $(this).data('panel-width')  : '',
                    panel_size_height_1st   =   typeof $(this).data('panel-height') !== 'undefined' ?   $(this).data('panel-height') : '',
                    has_nospace             =   $(this).parent('.nospace');

                if (!has_nospace.length) {

                    $(this).css({
                                'width':  panel_size_width_1st,
                                'height': panel_size_height_1st,
                                //'overflow': 'hidden', // it may create the bars when the popup style-slide- is used, lets remove them
                                //'overflow': 'auto', // it may create the bars when the popup style-slide- is used, lets remove them
                                //'overflow': 'visible', // it may create the bars when the popup style-slide- is used, lets remove them
                                'display': 'flex', // if not set, display: block will be print
                    });

                    // overwrite for the large screens
                    if (current_screen_size_width >= large_screen_break_point) {

                        var panel_size_width_large   =   $(this).data('panel-large-width'),
                            panel_size_height_large  =   $(this).data('panel-large-height'),
                            panelWidth      =   typeof panel_size_width_large  !== 'undefined'   ?   panel_size_width_large     :   panel_size_width_1st,
                            panelHeight     =   typeof panel_size_height_large !== 'undefined'   ?   panel_size_height_large    :   panel_size_height_1st;

                            $(this).css({
                                        'width':  panelWidth,
                                        'height': panelHeight,
                                    });

                    }

                }

            });

        }

    }
    fanySizes();



    /*
     * Large screen breaking point
     */
    function screenBreakPoint() {

        var large_screen_break_point = 992;

        if (typeof new_large_screen_break_point !== 'undefined') {
            var large_screen_break_point = new_large_screen_break_point !== 992 ? new_large_screen_break_point : large_screen_break_point;
        }

        return large_screen_break_point;

    }


    function screenBreak() {

        if($(window).width() < screenBreakPoint()) {

            $('.dis-screen-small').addClass('is-screen-disabled');
            $('.dis-screen-large').removeClass('is-screen-disabled');

        } else {

            $('.dis-screen-small').removeClass('is-screen-disabled');
            $('.dis-screen-large').addClass('is-screen-disabled');
        }

    }
    screenBreak();



    /*
     * Fany Linker - Nospace dealing
     * ...it's here instead in the Pro, so that fanyNospace can be set bellow
     */
    var fany_linker = $('.fany-linker');

    if( fany_linker.length ) {

        fany_linker.on('click', 'a', function () {

            // get the href value
            var exists_a = $(this).attr('href') ? true : false,
                       a = $(this).attr('href');
               
            // if href's value starts with '#' & panel present on the page
            if (exists_a === true && a.charAt(0) === '#' && $(a).length) {

                $(this).doTimeout(600, fanyNospace);

            }

        });

    }



    /*
     * Fany drifter - Nospace dealing
     * ...it's here instead in the Pro, so that fanyNospace can be set bellow
     */
    var fany_on_hovers = $('.fany-drifter a');

    if( fany_on_hovers.length ) {

        fany_on_hovers.on({

            mouseenter: function () {

                   // get the href value
                   var exists_a = $(this).attr('href') ? true : false,
                              a = $(this).attr('href');
                   
                // if href's value starts with '#' & panel present on the page
                if (exists_a === true && a.charAt(0) === '#' && $(a).length) {

                    $(this).doTimeout(600, fanyNospace);

                }

            }

        });

    }


    /*
    * Media alignfull
    */
    function media_aligner() {

        var media_align_full = $('.fany .alignfull');
        
        if (media_align_full.length) {
        
            $.each(media_align_full, function () {
            
                var fany_content    = $(this).closest('.fany-content'),
                    paddL           = fany_content.css('padding-left'),
                    paddR           = fany_content.css('padding-right');
                
                $(this).css({
                    'margin-left': '-' +paddL,
                    'margin-right': '-' +paddR,
                    'width': 'auto',
                    // max-width set with css
                });
                
            });
            
        }
        
        var media_align_wide = $('.fany .alignwide');
        if (media_align_wide.length) {
            
            $.each(media_align_wide, function () {
                
                var fany_content    = $(this).closest('.fany-content'),
                paddL           = parseInt( fany_content.css('padding-left') ) /2,
                paddR           = parseInt( fany_content.css('padding-right') ) /2;
                
                $(this).css({
                    'margin-left': '-' +paddL +'px',
                    'margin-right': '-' +paddR +'px',
                    'width': 'auto',
                    // max-width set with css
                });
                        
            });
            
        }
        
    }
    $(this).doTimeout(450, media_aligner);




    /*
     * On resize
     */
    $(window).on('resize', function () {

        $(this).doTimeout(100, fanyNospaceDestroy);
        $(this).doTimeout(100, screenBreak);

        $(this).doTimeout(200, fanySizes);
        
        $(this).doTimeout(600, fanyNospace);

    });





}); // end jQuerys
