<?php

    if ( ! defined( 'ABSPATH' ) ) exit;


    /* --------------------------------------------
     * Containing variables from the basic version
     * --------------------------------------------*/


    /* Set the Content output
     *  - Instead of apply_shortcodes( $get_content ), it's better to use apply_filters on the_content
     *    which will process all gutenberg's blocks e.g. iframes in html content
     */
    $content                    =   apply_filters( 'the_content', $get_content );
    $_set_content               =   ! empty( $id ) && ! empty( $content )   ?   $content : '';



    // popup place
    $popup_place                    =   ' fany-place-centerCentered';

    // bypass any potential notices & warnings
    if( isset( $box_options[ 'panel_popup_place' ] ) ) {

        $elm_popup_place            =   $box_options[ 'panel_popup_place' ] ===  'left-topped'      ? ' fany-place-leftTopped'      : $popup_place;
        $elm_popup_place            =   $box_options[ 'panel_popup_place' ] ===  'left-centered'    ? ' fany-place-leftCentered'    : $elm_popup_place;
        $elm_popup_place            =   $box_options[ 'panel_popup_place' ] ===  'left-bottomed'    ? ' fany-place-leftBottomed'    : $elm_popup_place;
        $elm_popup_place            =   $box_options[ 'panel_popup_place' ] ===  'center-topped'    ? ' fany-place-centerTopped'    : $elm_popup_place;
        $elm_popup_place            =   $box_options[ 'panel_popup_place' ] ===  'center'           ? ' fany-place-centerCentered'  : $elm_popup_place;
        $elm_popup_place            =   $box_options[ 'panel_popup_place' ] ===  'center-bottomed'  ? ' fany-place-centerBottomed'  : $elm_popup_place;
        $elm_popup_place            =   $box_options[ 'panel_popup_place' ] ===  'right-topped'     ? ' fany-place-rightTopped'     : $elm_popup_place;
        $elm_popup_place            =   $box_options[ 'panel_popup_place' ] ===  'right-centered'   ? ' fany-place-rightCentered'   : $elm_popup_place;
        $elm_popup_place            =   $box_options[ 'panel_popup_place' ] === 'right-bottomed'    ? ' fany-place-rightBottomed'   : $elm_popup_place;

        $popup_place                =   ! empty( $box_options[ 'panel_popup_place' ] )   ?   $elm_popup_place  :   ' fany-place-centerCentered';

    }


    // Popup style
    $popup_style                    =   '';

    // bypass any potential notices & warnings
    if( isset( $box_options[ 'panel_popup_style' ] ) ) {

        $elm_popup_style            =   $box_options[ 'panel_popup_style' ] === 'bump'              ? ' fany-style-bumpIn'            : $popup_style;
        $elm_popup_style            =   $box_options[ 'panel_popup_style' ] === 'fade'              ? ' fany-style-fadeIn'            : $elm_popup_style;
        $elm_popup_style            =   $box_options[ 'panel_popup_style' ] === 'slide-horizontal'  ? ' fany-style-slideHorizontal'   : $elm_popup_style;
        $elm_popup_style            =   $box_options[ 'panel_popup_style' ] === 'slide-vertical'    ? ' fany-style-slideVertical'     : $elm_popup_style;

        $popup_style                =   ! empty( $box_options[ 'panel_popup_style' ] )   ?   $elm_popup_style  :   '';

    }


    // z-index
    $zindex                         =   isset( $box_options[ 'zindex' ] ) && is_numeric( $box_options[ 'zindex' ] )     ?   'z-index:' .intval($box_options[ 'zindex' ] ) .';'       :   '';

    $_escaped_panel_wrap_style      =   ! empty( $zindex )  ?   ' style="' .esc_attr( $zindex ) . '"'   :   '';

    // overlay
    $use_overlay                    =   ! empty( $box_options[ 'use_overlay' ] )    ?   true  :   false;


    // panel shut
    $panel_type                     =   isset( $box_options[ 'panel_type' ] ) ?  $box_options[ 'panel_type' ]   : 'toggler';
    $shut_class                     =   isset( $box_options[ 'panel_type' ] ) ?  ' panel-type-' .$box_options[ 'panel_type' ]  : ' panel-type-toggler';
    
    $open_button_data               =   ( $panel_type === 'toggler' || $panel_type === 'igniter' ) && ! empty( $box_options[ 'button_open' ] )
                                    ?   ' data-button-open="' .esc_attr( $box_options[ 'button_open' ] ) .'"' : ' data-button-open="iks-plus"';
    
    $close_button_data              =   ( $panel_type === 'toggler' || $panel_type === 'igniter' ) && ! empty( $box_options[ 'button_close' ] )
                                    ?   ' data-button-close="' .esc_attr( $box_options[ 'button_close' ] ) .'"' : ' data-button-close="iks"';
    
    $_escaped_toggler_data          =   $panel_type === 'toggler' || $panel_type === 'igniter'    ?  $open_button_data  .$close_button_data : '';
    
    $open_button_class              =   ( $panel_type === 'toggler' || $panel_type === 'igniter' ) && ! empty( $box_options[ 'button_open' ] )
                                    ?   ' ' .$box_options[ 'button_open' ]    :   ' iks-plus';
    
    $close_button_class             =   ( $panel_type === 'toggler' || $panel_type === 'igniter' ) && ! empty( $box_options[ 'button_close' ] )
                                    ?   ' ' .$box_options[ 'button_close' ]   :   ' iks';
    
    $is_igniter                     =   $panel_type === 'igniter' ? ' toggler-on'  : '';
    
    $toggler_start_title            =   $is_igniter !== '' ? esc_html__( 'Open', 'float-any' ) : esc_html__( 'Close', 'float-any' );
    $toggler_start_class            =   $is_igniter !== '' ? $open_button_class : $close_button_class;



    // panel roles
    $get_roles                      =   ! empty( $box_options[ 'panel_roles' ] ) ? $box_options[ 'panel_roles' ] : '';
    // convert the array to a string
    $roles                          =   is_array( $get_roles )   ?   implode( ' ', $get_roles ) : '';
    // prepend a space before the output, so it adds correctly to the existing classes
    $panel_roles                    =   ($panel_type === 'closer' || $panel_type === 'hover') && ! empty( $roles )  ? ' ' .$roles :   '';

    // with toggler & igniter role-rotator is the only option in UI, other options are hidden. So only check is the rotator selected. It should always be opened. Futher it's handled with $is_giniter
    $panel_roles                   .=   ($panel_type === 'toggler' || $panel_type === 'igniter') && is_array($get_roles) && in_array('role-rotator', $get_roles)    ?   ' role-rotator' :   ''; 


    // Rotator
    $rotator_on                     =   isset( $box_options[ 'rotator_on' ] ) && is_numeric( $box_options[ 'rotator_on' ] )         ?   abs( $box_options[ 'rotator_on' ] )    : 5; // default 5s
    $_escaped_rotator_on_data       =   ' data-rotator-on="'  .esc_attr( $rotator_on ) .'"';

    $rotator_off                    =   isset( $box_options[ 'rotator_off' ] ) && is_numeric( $box_options[ 'rotator_off' ] )       ?   abs( $box_options[ 'rotator_off' ] )   : 10; // default 10s
    $_escaped_rotator_off_data      =   ' data-rotator-off="'  .esc_attr( $rotator_off ) .'"';

    $rotator_close_pause            =   isset( $box_options[ 'rotator_close_pause' ] ) && is_numeric( $box_options[ 'rotator_close_pause' ] )   ?   abs( $box_options[ 'rotator_close_pause' ] )   : '';
    $_escaped_rota_close_pause_data =   ($panel_type === 'closer' || $panel_type === 'hover') && ! empty( $rotator_close_pause )                      ?   ' data-rotator-close-pause="'  .esc_attr( $rotator_close_pause ) .'"'   : '';

    $_escaped_rotator_time_data     =   is_array($get_roles) && in_array('role-rotator', $get_roles) ? $_escaped_rotator_on_data .$_escaped_rotator_off_data .$_escaped_rota_close_pause_data : '';
    $rotator_repeat                 =   is_array($get_roles) && in_array('role-rotator', $get_roles) && ! empty( $box_options[ 'rotator_repeat' ] ) ? ' rotator-repeat' : '';


    // mark closing with hover-out panel type
    $mark_hoverout_close            =   $panel_type === 'hover' && ! empty( $box_options[ 'mark_hoverout_closing' ] ) ? ' mark-hoverout-close' : '';



    /*
     * Colors
     */

    // panel background
    $panel_bg       =   isset( $box_options[ 'panel_popup_bg' ] )         ?   $box_options[ 'panel_popup_bg' ] : '';

    $set_panel_bg   = ! empty( $panel_bg[ 'background-image' ][ 'url' ] ) ?    'background-image:url('  .esc_url( $panel_bg[ 'background-image' ][ 'url' ] ) .');' :'';
    $set_panel_bg  .= ! empty( $panel_bg[ 'background-repeat' ] )         ?    'background-repeat:'     .$panel_bg[ 'background-repeat' ]                    .';'  :'';
    $set_panel_bg  .= ! empty( $panel_bg[ 'background-position' ] )       ?    'background-position:'   .$panel_bg[ 'background-position' ]                  .';'  :'';
    $set_panel_bg  .= ! empty( $panel_bg[ 'background-attachment' ] )     ?    'background-attachment:' .$panel_bg[ 'background-attachment' ]                .';'  :'';
    $set_panel_bg  .= ! empty( $panel_bg[ 'background-size' ] )           ?    'background-size:'       .$panel_bg[ 'background-size' ]                      .';'  :'';

    // get default value from the settings
    $panel_bg_bc                    =  isset( get_option( '_float_any_options' )[ 'panel_popup_bg' ][ 'background-color' ] )
                                    ?         get_option( '_float_any_options' )[ 'panel_popup_bg' ][ 'background-color' ] : '';

    $get_panel_bg_bc_def            =   ! empty( $panel_bg_bc )  ?   $panel_bg_bc : '#e8e2b7'; // plugin's default, from css file, is '#e8e2b7'

    // print if bg doesn't equals to the default value
    $set_panel_bg  .= $panel_bg[ 'background-color' ] !== $get_panel_bg_bc_def  ?   'background-color:' .$panel_bg[ 'background-color' ]                     .';'  :'';



    // color - get default value from the settings
    $panel_color_def                =  isset( get_option( '_float_any_options' )[ 'panel_popup_color' ] )
                                    ?         get_option( '_float_any_options' )[ 'panel_popup_color' ] : '';

    $get_panel_color_def            =   ! empty( $panel_color_def )  ?   $panel_color_def : '#e8e2b7';

    // panel color
    $panel_color                    =   $box_options['panel_popup_color'] !== $get_panel_color_def  ?   'color:'    .$box_options['panel_popup_color'] .';'    : '';

    // shut bg & color - get default value from the settings
    $shut_bg_def                    =   isset( get_option( '_float_any_options' )[ 'panel_shut_bg' ] )
                                    ?          get_option( '_float_any_options' )[ 'panel_shut_bg' ] : '';

    $get_shut_bg_default            =   ! empty( $shut_bg_def )  ?   $shut_bg_def : '#333333';

    $shut_color_def                 =   isset( get_option( '_float_any_options' )[ 'panel_shut_color' ] )
                                    ?          get_option( '_float_any_options' )[ 'panel_shut_color' ] : '';

    $get_shut_color_default         =   ! empty( $shut_color_def )  ?   $shut_color_def : '#ffffff';

    // shut bg & color
    $shut_bg                        =   $box_options['panel_shut_bg'] !== $get_shut_bg_default          ?   'background:'   .$box_options['panel_shut_bg']   .';'   : '';
    $shut_color                     =   $box_options['panel_shut_color'] !== $get_shut_color_default    ?   'color:'        .$box_options['panel_shut_color'] .';'  : '';

    $_escaped_panel_shut_style      =   ! empty( $shut_bg ) || ! empty( $shut_color )
                                    ?    ' style="' .esc_attr( $shut_bg ) .esc_attr( $shut_color ) .'"'     : '';


    /*
     * Sizes
     */
    $width                          =   ! empty( $box_options[ 'size_1' ][ 'width' ] )  ?   $box_options[ 'size_1' ][ 'width' ] : '';
    $height                         =   isset( $box_options[ 'height_100' ] ) && $box_options[ 'height_100' ] === 'yes' ?   true     : false;
    $unit                           =   ! empty( $box_options[ 'size_1' ][ 'unit' ] )   ?   $box_options[ 'size_1' ][ 'unit' ]       : '';
    $_escaped_width_data            =   ! empty( $width )     ?   ' data-panel-width="'  .esc_attr( $width )  .esc_attr( $unit ) .'"'  : '';
    $_escaped_height_data           =   $height === true      ?   ' data-panel-height="100%"'  : '';
    
    $width_large                    =   ! empty( $box_options[ 'size_2' ][ 'width' ] )  ?  $box_options[ 'size_2' ][ 'width' ]  : '';
    $height_large                   =   isset( $box_options[ 'height_100_2' ] ) && $box_options[ 'height_100_2' ] === 'yes'     ?  '100%'     : false;
    $height_large                   =   $height === true && isset( $box_options[ 'height_100_2' ] ) && $box_options[ 'height_100_2' ] === 'no' ? 'auto' : $height_large;
    $unit_large                     =   ! empty( $box_options[ 'size_2' ][ 'unit' ] )   ?  $box_options[ 'size_2' ][ 'unit' ]       : '';
    $_escaped_width_data_large      =   ! empty( $width_large ) ? ' data-panel-large-width="'.esc_attr( $width_large ).esc_attr( $unit_large ) .'"' : '';
    $_escaped_height_data_large     =   $height_large !== false ? ' data-panel-large-height="' .esc_attr( $height_large ) .'"' :'';
    
    $_escaped_panel_data            =   $_escaped_width_data .$_escaped_height_data .$_escaped_width_data_large .$_escaped_height_data_large;
    $panel_size_class               =   ! empty( $_escaped_panel_data )    ?  ' panel-with-size'   : '';
    
    // panel's padding
    $padding_unit                   =   isset( $box_options[ 'panel_padding' ][ 'unit' ] )      ?   $box_options[ 'panel_padding' ][ 'unit' ] : '';
    $default_pad                    =   '1.5em';
    
    $get_pad_top                    =   isset( $box_options[ 'panel_padding' ][ 'top' ] )       ?   abs( $box_options[ 'panel_padding' ][ 'top' ] )         : '';
    
    $panel_padding                  =   $get_pad_top .$padding_unit !== $default_pad            ?   'padding-top: ' .$get_pad_top .$padding_unit .';'       : '';
    
    
    $get_pad_left                   =   isset( $box_options[ 'panel_padding' ][ 'left' ] )      ?   abs( $box_options[ 'panel_padding' ][ 'left' ] )        : '';
    $panel_padding                 .=   $get_pad_left .$padding_unit !== $default_pad           ?   'padding-left: ' .$get_pad_left .$padding_unit .';'     : '';
    
    $get_pad_right                  =   isset( $box_options[ 'panel_padding' ][ 'right' ] )     ?   abs( $box_options[ 'panel_padding' ][ 'right' ] )       : '';
    $panel_padding                 .=   $get_pad_right .$padding_unit !== $default_pad          ?   'padding-right: ' .$get_pad_right .$padding_unit .';'   : '';
    
    $get_pad_bottom                 =   isset( $box_options[ 'panel_padding' ][ 'bottom' ] )    ?   abs( $box_options[ 'panel_padding' ][ 'bottom' ] )      : '';
    $panel_padding                 .=   $get_pad_bottom .$padding_unit !== $default_pad         ?   'padding-bottom: ' .$get_pad_bottom .$padding_unit .';' : '';

    // panel's border
    $border                         =   isset( $box_options[ 'panel_border' ] ) ?   $box_options[ 'panel_border' ] : '';
    $border_style                   =   isset( $border[ 'style' ] )             ?   ' ' .$border[ 'style' ] : '';
    $border_color                   =   ! empty( $border[ 'color' ] )           ?   ' ' .$border[ 'color' ] : '';
    $border_top                     =   ! empty( $border[ 'top' ] )             ?   'border-top:' .abs( $border[ 'top' ] )        .'px' .$border_style .$border_color .';' : '';
    $border_right                   =   ! empty( $border[ 'right' ] )           ?   'border-right:' .abs( $border[ 'right' ] )    .'px' .$border_style .$border_color .';' : '';
    $border_bottom                  =   ! empty( $border[ 'bottom' ] )          ?   'border-bottom:' .abs( $border[ 'bottom' ] )  .'px' .$border_style .$border_color .';' : '';
    $border_left                    =   ! empty( $border[ 'left' ] )            ?   'border-left:' .abs( $border[ 'left' ] )      .'px' .$border_style .$border_color .';' : '';
    
    $panel_border                   =   $border_top .$border_right .$border_bottom .$border_left;
    
    // panel's border
    $border_radius                  =   isset( $box_options[ 'panel_border_radius' ] )  ?   $box_options[ 'panel_border_radius' ] : '';
    $border_radius_unit             =   isset( $border_radius[ 'unit' ] )               ?   $border_radius[ 'unit' ] : '';
    $border_radius_top_left         =   ! empty( $border_radius[ 'top' ] )              ?   'border-top-left-radius:' .abs( $border_radius[ 'top' ] )        .$border_radius_unit .';' : '';
    $border_radius_top_right        =   ! empty( $border_radius[ 'right' ] )            ?   'border-top-right-radius:' .abs( $border_radius[ 'right' ] )     .$border_radius_unit .';' : '';
    $border_radius_bottom_left      =   ! empty( $border_radius[ 'bottom' ] )           ?   'border-bottom-left-radius:' .abs( $border_radius[ 'bottom' ] )  .$border_radius_unit .';' : '';
    $border_radius_bottom_right     =   ! empty( $border_radius[ 'left' ] )             ?   'border-bottom-right-radius:' .abs( $border_radius[ 'left' ] )   .$border_radius_unit .';' : ''; // using spacing field, that's why 'left' is usedhere

    $panel_border_radius            =   $border_radius_top_left .$border_radius_top_right .$border_radius_bottom_left .$border_radius_bottom_right;

    /*
    * Toggler
    */
    $unset_toggler                  =   ! empty( $box_options[ 'unset_toggler' ] )  ?   true : false;

    $unset_toggler_class            =   $unset_toggler === true ?   ' toggler-closer-default-unset' : '';

    $reverse                        =   $unset_toggler !== true && ! empty( $box_options[ 'reverse_direction' ] )  ?   '-rev' : '';
    $direction                      =   $unset_toggler !== true && ! empty( $box_options[ 'direction' ] ) && isset($box_options['reverse_direction']) ? ' dir-' .$box_options['direction'] .$reverse : '';
    $closer_align                   =   $unset_toggler !== true && ! empty( $box_options[ 'closer_align' ] )   ?   ' align-' .$box_options[ 'closer_align' ]  : '';
    $closer_size                    =   $unset_toggler !== true && isset( $box_options[ 'closer_size' ] ) && $box_options[ 'closer_size' ] !== 'normal'    ?   ' ' .$box_options[ 'closer_size' ] : '';

 
    // Closer/toggler styling

    $get_closer_style               =   ! empty( $box_options[ 'closer_styling' ] ) ? $box_options[ 'closer_styling' ]  : '';
     // convert the array to a string
    $check_closer_style             =   is_array( $get_closer_style )   ?   implode( ' ', $get_closer_style )   : '';
    // prepend a space before the output, so it adds correctly to the existing classes ...$panel_type set on the Basic plugin
    $toggler_styling                =   $unset_toggler !== true && ! empty( $check_closer_style )
                                     ?   ' ' .$check_closer_style   : '';
 
     // trigger animation
     //$trigger_anim                   =   $unset_toggler !== true && ! empty( $box_options[ 'trigger_anim' ] ) && ( $panel_type === 'toggler' || $panel_type === 'igniter' ) ?  ' trigger-anim-rotate'   : '';
     $trigger_anim = '';
 


    /*
     * pick the styling from diffrent vars
     */
    $_escaped_panel_content_style   =   ! empty( $panel_padding ) || ! empty ( $panel_border ) || ! empty ( $panel_border_radius ) || ! empty( $set_panel_bg ) || ! empty( $panel_color )
                                    ?   ' style="' .esc_attr( $panel_padding ) .esc_attr( $panel_border ) .esc_attr( $panel_border_radius ) .esc_attr( $set_panel_bg ) .esc_attr( $panel_color ) .'"'       : '';
