<?php

    if ( ! defined( 'ABSPATH' ) ) exit;



    // register block pattern categories
    add_action('init', function() {
        if ( ! function_exists( 'register_block_pattern_category' ) ) {
            return;
        }
        
        register_block_pattern_category(
            'floatany-buttons',  array( 'label' => __( 'Float Any: Buttons', 'maxboxy' ) )
        );
        
        register_block_pattern_category(
            'floatany-contact', array( 'label' => __( 'Float Any: Contact', 'maxboxy' ) )
        );

        register_block_pattern_category(
            'floatany-cookies', array( 'label' => __( 'Float Any: Cookies & GDPR', 'maxboxy' ) )
        );
        
        register_block_pattern_category(
            'floatany-cta', array( 'label' => __( 'Float Any: CTA', 'maxboxy' ) )
        );
        
        register_block_pattern_category(
            'floatany-gallery',  array( 'label' => __( 'Float Any: Gallery', 'maxboxy' ) )
        );
        
        register_block_pattern_category(
            'floatany-media', array( 'label' => __( 'Float Any: Media', 'maxboxy' ) )
        );
        
        register_block_pattern_category(
            'floatany-menus',  array( 'label' => __( 'Float Any: Menus', 'maxboxy' ) )
        );
        
        register_block_pattern_category(
            'floatany-promo', array( 'label' => __( 'Float Any: Promo', 'maxboxy' ) )
        );
        
        register_block_pattern_category(
            'floatany-signups', array( 'label' => __( 'Float Any: Signups', 'maxboxy' ) )
        );

    });



    // button 1
    add_action('init', function() {
        if ( ! function_exists( 'register_block_pattern' ) ) {
            return;
        }
        register_block_pattern('float-any/button-pc', [
            'title'         => __('Panel closer', 'maxboxy'),
            'keywords'      => ['button'],
            'categories'    => ['floatany-buttons'],
            'content'       => "<!-- wp:buttons -->
                                <div class=\"wp-block-buttons\"><!-- wp:button {\"className\":\"fany-closer\"} -->
                                <div class=\"wp-block-button fany-closer\"><a class=\"wp-block-button__link\">Close me</a></div>
                                <!-- /wp:button --></div>
                                <!-- /wp:buttons -->",
        ]);
    }, 5); // 5- higher priority than default, so it loads before the patterns added by the Pro plugin

    // button 2
    add_action('init', function() {
        if ( ! function_exists( 'register_block_pattern' ) ) {
            return;
        }
        register_block_pattern('float-any/button-pt', [
            'title'         => __('Panel toggler', 'maxboxy'),
            'keywords'      => ['button'],
            'categories'    => ['floatany-buttons'],
            'content'       => "<!-- wp:buttons -->
                                <div class=\"wp-block-buttons\"><!-- wp:button {\"className\":\"fany-toggler\"} -->
                                <div class=\"wp-block-button fany-toggler\"><a class=\"wp-block-button__link\">Toggle me</a></div>
                                <!-- /wp:button --></div>
                                <!-- /wp:buttons -->",
        ]);
    }, 5); // 5- higher priority than default, so it loads before the patterns added by the Pro plugin


    // Contact 1
    add_action('init', function() {
        if ( ! function_exists( 'register_block_pattern' ) ) {
            return;
        }
        register_block_pattern('float-any/contact-cfwsi', [
            'title'         => __('Contact form with social icons', 'float-any'),
            'keywords'      => ['contact', 'contact us'],
            'categories'    => ['floatany-contact'],
            'content'       => "<!-- wp:group -->
                                <div class=\"wp-block-group\"><!-- wp:heading {\"textAlign\":\"left\",\"level\":3} -->
                                <h3 class=\"has-text-align-left\">Contact us</h3>
                                <!-- /wp:heading -->

                                <!-- wp:shortcode /-->

                                <!-- wp:spacer {\"height\":50} -->
                                <div style=\"height:50px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>
                                <!-- /wp:spacer -->

                                <!-- wp:social-links {\"openInNewTab\":true,\"size\":\"has-large-icon-size\",\"className\":\"is-style-default\"} -->
                                <ul class=\"wp-block-social-links has-large-icon-size is-style-default\"><!-- wp:social-link {\"url\":\"\",\"service\":\"pinterest\"} /-->

                                <!-- wp:social-link {\"url\":\"\",\"service\":\"twitter\"} /-->

                                <!-- wp:social-link {\"url\":\"\",\"service\":\"instagram\"} /-->

                                <!-- wp:social-link {\"url\":\"\",\"service\":\"facebook\"} /-->

                                <!-- wp:social-link {\"url\":\"\",\"service\":\"linkedin\"} /--></ul>
                                <!-- /wp:social-links --></div>
                                <!-- /wp:group -->",
       ]);
    }, 5); // 5- higher priority than default, so it loads before the patterns added by the Pro plugin

    // Contact 2
    add_action('init', function() {
        if ( ! function_exists( 'register_block_pattern' ) ) {
            return;
        }
        register_block_pattern('float-any/contact-cfegmpeasi', [
            'title'         => __('Contact form + embed google map + phone + email + address + social icons', 'float-any'),
            'keywords'      => ['contact', 'contact us'],
            'categories'    => ['floatany-contact'],
            'content'       => "<!-- wp:group -->
                                <div class=\"wp-block-group\"><!-- wp:spacer {\"height\":20} -->
                                <div style=\"height:20px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>
                                <!-- /wp:spacer -->
                                
                                <!-- wp:heading {\"textAlign\":\"center\",\"level\":4} -->
                                <h4 class=\"has-text-align-center\">Contact form here...</h4>
                                <!-- /wp:heading -->
                                
                                <!-- wp:shortcode /-->
                                
                                <!-- wp:heading {\"textAlign\":\"center\",\"level\":4} -->
                                <h4 class=\"has-text-align-center\">Google map here...</h4>
                                <!-- /wp:heading -->
                                
                                <!-- wp:html /-->
                                
                                <!-- wp:heading {\"textAlign\":\"center\",\"level\":4} -->
                                <h4 class=\"has-text-align-center\">Your title here...</h4>
                                <!-- /wp:heading -->
                                
                                <!-- wp:paragraph {\"align\":\"center\",\"className\":\"is-style-default\"} -->
                                <p class=\"has-text-align-center is-style-default\"><a href=\"tel:+555555555555\">+555 555 555 555</a></p>
                                <!-- /wp:paragraph -->
                                
                                <!-- wp:heading {\"textAlign\":\"center\",\"level\":4} -->
                                <h4 class=\"has-text-align-center\">Your title here...</h4>
                                <!-- /wp:heading -->
                                
                                <!-- wp:paragraph {\"align\":\"center\"} -->
                                <p class=\"has-text-align-center\"><a href=\"mailto:lorem@ipsum.dolor\">lorem@ipsum.dolor</a><br></p>
                                <!-- /wp:paragraph -->
                                
                                <!-- wp:heading {\"textAlign\":\"center\",\"level\":4} -->
                                <h4 class=\"has-text-align-center\">Your title here...</h4>
                                <!-- /wp:heading -->
                                
                                <!-- wp:paragraph {\"align\":\"center\"} -->
                                <p class=\"has-text-align-center\">Lorem ipsum 123 Dolor Sit, 45</p>
                                <!-- /wp:paragraph -->
                                
                                <!-- wp:heading {\"textAlign\":\"center\",\"level\":4} -->
                                <h4 class=\"has-text-align-center\">Your title here...</h4>
                                <!-- /wp:heading -->
                                
                                <!-- wp:social-links {\"openInNewTab\":true,\"size\":\"has-large-icon-size\",\"className\":\"is-style-default\"} -->
                                <ul class=\"wp-block-social-links has-large-icon-size is-style-default\"><!-- wp:social-link {\"url\":\"\",\"service\":\"pinterest\"} /-->
                                
                                <!-- wp:social-link {\"url\":\"\",\"service\":\"twitter\"} /-->
                                
                                <!-- wp:social-link {\"url\":\"\",\"service\":\"instagram\"} /-->
                                
                                <!-- wp:social-link {\"url\":\"\",\"service\":\"facebook\"} /-->
                                
                                <!-- wp:social-link {\"url\":\"\",\"service\":\"linkedin\"} /--></ul>
                                <!-- /wp:social-links --></div>
                                <!-- /wp:group -->",
        ]);
    }, 5); // 5- higher priority than default, so it loads before the patterns added by the Pro plugin

    // Contact 3
    add_action('init', function() {
        if ( ! function_exists( 'register_block_pattern' ) ) {
            return;
        }
        register_block_pattern('float-any/contact-cfegmsiwacb', [
            'title'         => __('Contact form + embed google map + social icons (with a cover background)', 'float-any'),
            'keywords'      => ['contact', 'contact us'],
            'categories'    => ['floatany-contact'],
            'content'       => "<!-- wp:cover {\"customOverlayColor\":\"#7cc9f8\"} -->
                                <div class=\"wp-block-cover has-background-dim\" style=\"background-color:#7cc9f8\"><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":4} -->
                                <h4 class=\"has-text-align-center\">Your title here...</h4>
                                <!-- /wp:heading -->
                                
                                <!-- wp:shortcode /-->
                                
                                <!-- wp:heading {\"textAlign\":\"center\",\"level\":4} -->
                                <h4 class=\"has-text-align-center\">Your title here...</h4>
                                <!-- /wp:heading -->
                                
                                <!-- wp:html /-->
                                
                                <!-- wp:heading {\"textAlign\":\"center\",\"level\":4} -->
                                <h4 class=\"has-text-align-center\">Your title here...</h4>
                                <!-- /wp:heading -->
                                
                                <!-- wp:social-links {\"openInNewTab\":true,\"size\":\"has-large-icon-size\",\"className\":\"is-style-default\"} -->
                                <ul class=\"wp-block-social-links has-large-icon-size is-style-default\"><!-- wp:social-link {\"url\":\"\",\"service\":\"pinterest\"} /-->
                                
                                <!-- wp:social-link {\"url\":\"\",\"service\":\"twitter\"} /-->
                                
                                <!-- wp:social-link {\"url\":\"\",\"service\":\"instagram\"} /-->
                                
                                <!-- wp:social-link {\"url\":\"\",\"service\":\"facebook\"} /-->
                                
                                <!-- wp:social-link {\"url\":\"\",\"service\":\"linkedin\"} /--></ul>
                                <!-- /wp:social-links --></div></div>
                                <!-- /wp:cover -->",
        ]);
    }, 5); // 5- higher priority than default, so it loads before the patterns added by the Pro plugin


    // cookies 1
    add_action('init', function() {
        if ( ! function_exists( 'register_block_pattern' ) ) {
            return;
        }
        register_block_pattern('float-any/cookies-1', [
            'title'         => __('Common cookies notice group', 'float-any'),
            'keywords'      => ['gdpr', 'cookies'],
            'categories'    => ['floatany-cookies'],
            'content'       => "<!-- wp:group -->
                                <div class=\"wp-block-group\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":3} -->
                                <h3 class=\"has-text-align-center\">Your title here...</h3>
                                <!-- /wp:heading -->
                                
                                <!-- wp:paragraph {\"align\":\"center\"} -->
                                <p class=\"has-text-align-center\">We use cookies… Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>
                                <!-- /wp:paragraph -->
                                
                                <!-- wp:buttons {\"contentJustification\":\"center\"} -->
                                <div class=\"wp-block-buttons is-content-justification-center\"><!-- wp:button {\"className\":\"fany-closer\"} -->
                                <div class=\"wp-block-button fany-closer\"><a class=\"wp-block-button__link\">I agree</a></div>
                                <!-- /wp:button --></div>
                                <!-- /wp:buttons --></div>
                                <!-- /wp:group -->",
        ]);
    }, 5); // 5- higher priority than default, so it loads before the patterns added by the Pro plugin


    // cookies 2
    add_action('init', function() {
        if ( ! function_exists( 'register_block_pattern' ) ) {
            return;
        }
        register_block_pattern('float-any/cookies-2', [
            'title'         => __('2 columns - notice and a button', 'maxboxy-float-any-patterns'),
            'keywords'      => ['gdpr', 'cookies'],
            'categories'    => ['floatany-cookies'],
            'content'       => "<!-- wp:columns -->
                                <div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"75%\"} -->
                                <div class=\"wp-block-column\" style=\"flex-basis:75%\"><!-- wp:paragraph -->
                                <p>We use cookies… Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>
                                <!-- /wp:paragraph --></div>
                                <!-- /wp:column -->
                                
                                <!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"25%\"} -->
                                <div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:25%\"><!-- wp:buttons {\"contentJustification\":\"center\"} -->
                                <div class=\"wp-block-buttons is-content-justification-center\"><!-- wp:button {\"className\":\"fany-closer\"} -->
                                <div class=\"wp-block-button fany-closer\"><a class=\"wp-block-button__link\">I agree</a></div>
                                <!-- /wp:button --></div>
                                <!-- /wp:buttons --></div>
                                <!-- /wp:column --></div>
                                <!-- /wp:columns -->",
        ]);
    });

    // cookies 3
    add_action('init', function() {
        if ( ! function_exists( 'register_block_pattern' ) ) {
            return;
        }
        register_block_pattern('float-any/cookies-3', [
            'title'         => __('3 columns', 'maxboxy-float-any-patterns'),
            'keywords'      => ['gdpr', 'cookies'],
            'categories'    => ['floatany-cookies'],
            'content'       => "<!-- wp:columns -->
                                <div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"56.25%\"} -->
                                <div class=\"wp-block-column\" style=\"flex-basis:56.25%\"><!-- wp:paragraph -->
                                <p>We use cookies… Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>
                                <!-- /wp:paragraph --></div>
                                <!-- /wp:column -->
                                
                                <!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"18.75%\"} -->
                                <div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:18.75%\"><!-- wp:buttons {\"contentJustification\":\"center\"} -->
                                <div class=\"wp-block-buttons is-content-justification-center\"><!-- wp:button {\"className\":\"fany-closer\"} -->
                                <div class=\"wp-block-button fany-closer\"><a class=\"wp-block-button__link\">I agree</a></div>
                                <!-- /wp:button --></div>
                                <!-- /wp:buttons --></div>
                                <!-- /wp:column -->
                                
                                <!-- wp:column {\"width\":\"25%\"} -->
                                <div class=\"wp-block-column\" style=\"flex-basis:25%\"><!-- wp:paragraph -->
                                <p>You can read more from our <a href=\"#\">Privacy Policy</a>.</p>
                                <!-- /wp:paragraph --></div>
                                <!-- /wp:column --></div>
                                <!-- /wp:columns -->",
        ]);
    });

    // cookies 4
    add_action('init', function() {
        if ( ! function_exists( 'register_block_pattern' ) ) {
            return;
        }
        register_block_pattern('float-any/cookies-4', [
            'title'         => __('2 columns + 1', 'maxboxy-float-any-patterns'),
            'keywords'      => ['gdpr', 'cookies'],
            'categories'    => ['floatany-cookies'],
            'content'       => "<!-- wp:group -->
                                <div class=\"wp-block-group\"><!-- wp:columns -->
                                <div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"75%\"} -->
                                <div class=\"wp-block-column\" style=\"flex-basis:75%\"><!-- wp:paragraph -->
                                <p>We use cookies… Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>
                                <!-- /wp:paragraph --></div>
                                <!-- /wp:column -->
                                
                                <!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"25%\"} -->
                                <div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:25%\"><!-- wp:buttons {\"contentJustification\":\"center\"} -->
                                <div class=\"wp-block-buttons is-content-justification-center\"><!-- wp:button {\"className\":\"fany-closer\"} -->
                                <div class=\"wp-block-button fany-closer\"><a class=\"wp-block-button__link\">I agree</a></div>
                                <!-- /wp:button --></div>
                                <!-- /wp:buttons --></div>
                                <!-- /wp:column --></div>
                                <!-- /wp:columns -->
                                
                                <!-- wp:separator -->
                                <hr class=\"wp-block-separator\"/>
                                <!-- /wp:separator -->
                                
                                <!-- wp:spacer {\"height\":10} -->
                                <div style=\"height:10px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>
                                <!-- /wp:spacer -->
                                
                                <!-- wp:paragraph {\"align\":\"center\"} -->
                                <p class=\"has-text-align-center\">You can read more from our <a href=\"#\">Privacy Policy</a>.</p>
                                <!-- /wp:paragraph --></div>
                                <!-- /wp:group -->",
        ]);
    });

    // cookies 5
    add_action('init', function() {
        if ( ! function_exists( 'register_block_pattern' ) ) {
            return;
        }
        register_block_pattern('float-any/cookies-5', [
            'title'         => __('2 columns + large button', 'maxboxy-float-any-patterns'),
            'keywords'      => ['gdpr', 'cookies'],
            'categories'    => ['floatany-cookies'],
            'content'       => "<!-- wp:group -->
                                <div class=\"wp-block-group\"><!-- wp:columns -->
                                <div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"75%\"} -->
                                <div class=\"wp-block-column\" style=\"flex-basis:75%\"><!-- wp:paragraph -->
                                <p>We use cookies… Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.</p>
                                <!-- /wp:paragraph --></div>
                                <!-- /wp:column -->
                                
                                <!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"25%\"} -->
                                <div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:25%\"><!-- wp:paragraph -->
                                <p>You can read more from our <a href=\"#\">Privacy Policy</a>.</p>
                                <!-- /wp:paragraph --></div>
                                <!-- /wp:column --></div>
                                <!-- /wp:columns -->
                                
                                <!-- wp:buttons {\"contentJustification\":\"center\"} -->
                                <div class=\"wp-block-buttons is-content-justification-center\"><!-- wp:button {\"width\":75,\"className\":\"is-style-outline fany-closer\"} -->
                                <div class=\"wp-block-button has-custom-width wp-block-button__width-75 is-style-outline fany-closer\"><a class=\"wp-block-button__link\">I agree</a></div>
                                <!-- /wp:button --></div>
                                <!-- /wp:buttons --></div>
                                <!-- /wp:group -->",
        ]);
    });


    // CTA 1
    add_action('init', function() {
        if ( ! function_exists( 'register_block_pattern' ) ) {
            return;
        }
        register_block_pattern('float-any/cta-cctag', [
            'title'         => __('Common CTA group', 'float-any'),
            'keywords'      => ['CTA', 'call to action'],
            'categories'    => ['floatany-cta'],
            'content'       => "<!-- wp:group -->
                                <div class=\"wp-block-group\"><!-- wp:spacer {\"height\":40} -->
                                <div style=\"height:40px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>
                                <!-- /wp:spacer -->
                                
                                <!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"color\":{\"text\":\"#414446\"}}} -->
                                <h2 class=\"has-text-align-center has-text-color\" style=\"color:#414446\">Major attention message!</h2>
                                <!-- /wp:heading -->
                                
                                <!-- wp:paragraph {\"align\":\"center\",\"style\":{\"color\":{\"text\":\"#414446\"}}} -->
                                <p class=\"has-text-align-center has-text-color\" style=\"color:#414446\">Write additional text here.</p>
                                <!-- /wp:paragraph -->
                                
                                <!-- wp:spacer {\"height\":20} -->
                                <div style=\"height:20px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>
                                <!-- /wp:spacer -->
                                
                                <!-- wp:buttons {\"contentJustification\":\"center\",\"orientation\":\"vertical\"} -->
                                <div class=\"wp-block-buttons is-content-justification-center is-vertical\"><!-- wp:button {\"className\":\"has-custom-width wp-block-button__width-25 is-style-outline\"} -->
                                <div class=\"wp-block-button has-custom-width wp-block-button__width-25 is-style-outline\"><a class=\"wp-block-button__link\">Call to action</a></div>
                                <!-- /wp:button --></div>
                                <!-- /wp:buttons --></div>
                                <!-- /wp:group -->",
        ]);
    }, 5); // 5- higher priority than default, so it loads before the patterns added by the Pro plugin

    // CTA 2
    add_action('init', function() {
        if ( ! function_exists( 'register_block_pattern' ) ) {
            return;
        }
        register_block_pattern('float-any/cta-ctapc', [
            'title'         => __('CTA positioned central', 'float-any'),
            'keywords'      => ['CTA', 'call to action'],
            'categories'    => ['floatany-cta'],
            'content'       => "<!-- wp:cover {\"customGradient\":\"linear-gradient(0deg,rgb(254,205,165) 0%,rgb(254,45,45) 33%,rgb(107,0,62) 100%)\"} -->
                                <div class=\"wp-block-cover has-background-dim has-background-gradient\" style=\"background:linear-gradient(0deg,rgb(254,205,165) 0%,rgb(254,45,45) 33%,rgb(107,0,62) 100%)\"><div class=\"wp-block-cover__inner-container\"><!-- wp:spacer {\"height\":10} -->
                                <div style=\"height:10px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>
                                <!-- /wp:spacer -->
                                
                                <!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"color\":{\"text\":\"#ffffff\"}}} -->
                                <h2 class=\"has-text-align-center has-text-color\" style=\"color:#ffffff\">Major attention message!</h2>
                                <!-- /wp:heading -->
                                
                                <!-- wp:paragraph {\"align\":\"center\",\"style\":{\"color\":{\"text\":\"#ffffff\"}}} -->
                                <p class=\"has-text-align-center has-text-color\" style=\"color:#ffffff\">Write additional text here.</p>
                                <!-- /wp:paragraph -->
                                
                                <!-- wp:spacer {\"height\":30} -->
                                <div style=\"height:30px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>
                                <!-- /wp:spacer -->
                                
                                <!-- wp:buttons {\"contentJustification\":\"center\"} -->
                                <div class=\"wp-block-buttons is-content-justification-center\"><!-- wp:button {\"width\":75,\"style\":{\"color\":{\"background\":\"#8c1111\"}}} -->
                                <div class=\"wp-block-button has-custom-width wp-block-button__width-75\"><a class=\"wp-block-button__link has-background\" style=\"background-color:#8c1111\">GET IT</a></div>
                                <!-- /wp:button --></div>
                                <!-- /wp:buttons --></div></div>
                                <!-- /wp:cover -->",
        ]);
    }, 5); // 5- higher priority than default, so it loads before the patterns added by the Pro plugin

    // CTA 3
    add_action('init', function() {
        if ( ! function_exists( 'register_block_pattern' ) ) {
            return;
        }
        register_block_pattern('float-any/cta-ctapbpfbi', [
            'title'         => __('CTA positioned bottom (perfect for background image)', 'float-any'),
            'keywords'      => ['CTA', 'call to action'],
            'categories'    => ['floatany-cta'],
            'content'       => "<!-- wp:cover {\"customOverlayColor\":\"#a9c3ed\",\"minHeight\":500,\"contentPosition\":\"bottom center\",\"className\":\"has-background-gradient is-position-top-center\"} -->
                                <div class=\"wp-block-cover has-background-dim has-custom-content-position is-position-bottom-center has-background-gradient is-position-top-center\" style=\"background-color:#a9c3ed;min-height:500px\"><div class=\"wp-block-cover__inner-container\"><!-- wp:spacer -->
                                <div style=\"height:100px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>
                                <!-- /wp:spacer -->

                                <!-- wp:paragraph {\"align\":\"center\",\"textColor\":\"black\",\"fontSize\":\"large\"} -->
                                <p class=\"has-text-align-center has-black-color has-text-color has-large-font-size\">YOUR ATTENTION MESSAGE!</p>
                                <!-- /wp:paragraph -->
                                
                                <!-- wp:buttons {\"contentJustification\":\"center\"} -->
                                <div class=\"wp-block-buttons is-content-justification-center\"><!-- wp:button {\"textColor\":\"black\",\"width\":50,\"className\":\"has-custom-width wp-block-button__width-25 is-style-outline\"} -->
                                <div class=\"wp-block-button has-custom-width wp-block-button__width-50 wp-block-button__width-25 is-style-outline\"><a class=\"wp-block-button__link has-black-color has-text-color\">Get it!</a></div>
                                <!-- /wp:button -->

                                <!-- wp:button {\"textColor\":\"black\",\"width\":50,\"className\":\"fany-closer is-style-outline\"} -->
                                <div class=\"wp-block-button has-custom-width wp-block-button__width-50 fany-closer is-style-outline\"><a class=\"wp-block-button__link has-black-color has-text-color\">No thanks.</a></div>
                                <!-- /wp:button --></div>
                                <!-- /wp:buttons --></div></div>
                                <!-- /wp:cover -->",
        ]);
    }, 5); // 5- higher priority than default, so it loads before the patterns added by the Pro plugin


    // media 1
    add_action('init', function() {
        if ( ! function_exists( 'register_block_pattern' ) ) {
            return;
        }
        register_block_pattern('float-any/media-cmgycati', [
            'title'         => __('Common media group (e.g. youtube code and text intro', 'float-any'),
            'keywords'      => ['media', 'video', 'html'],
            'categories'    => ['floatany-media'],
            'content'       => "<!-- wp:group -->
                                <div class=\"wp-block-group\"><!-- wp:heading {\"textAlign\":\"center\"} -->
                                <h2 class=\"has-text-align-center\">Write your heading here...</h2>
                                <!-- /wp:heading -->
                                
                                <!-- wp:paragraph {\"align\":\"center\"} -->
                                <p class=\"has-text-align-center\">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</p>
                                <!-- /wp:paragraph -->
                                
                                <!-- wp:html /--></div>
                                <!-- /wp:group -->",
        ]);
    }, 5); // 5- higher priority than default, so it loads before the patterns added by the Pro plugin

    // media 2
    add_action('init', function() {
        if ( ! function_exists( 'register_block_pattern' ) ) {
            return;
        }
        register_block_pattern('float-any/media-emycatiwbc', [
            'title'         => __('Embed media (e.g. youtube code) and text intro (with background cover)', 'float-any'),
            'keywords'      => ['media', 'video', 'html'],
            'categories'    => ['floatany-media'],
            'content'       => "<!-- wp:cover {\"customOverlayColor\":\"#6340a7\"} -->
                                <div class=\"wp-block-cover has-background-dim\" style=\"background-color:#6340a7\"><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"textAlign\":\"center\"} -->
                                <h2 class=\"has-text-align-center\">Write your heading here...</h2>
                                <!-- /wp:heading -->
                                
                                <!-- wp:paragraph {\"align\":\"center\"} -->
                                <p class=\"has-text-align-center\">Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</p>
                                <!-- /wp:paragraph -->
                                
                                <!-- wp:html /--></div></div>
                                <!-- /wp:cover -->",
        ]);
    }, 5); // 5- higher priority than default, so it loads before the patterns added by the Pro plugin


    // Signup 1
    add_action('init', function() {
        if ( ! function_exists( 'register_block_pattern' ) ) {
            return;
        }
        register_block_pattern('float-any/signup-cng', [
            'title'         => __('Common newsletter group', 'float-any'),
            'keywords'      => ['Signup'],
            'categories'    => ['floatany-signups'],
            'content'       => "<!-- wp:group -->
                                <div class=\"wp-block-group\"><!-- wp:heading {\"textAlign\":\"center\",\"level\":4,\"fontSize\":\"large\"} -->
                                <h4 class=\"has-text-align-center has-large-font-size\">GET OUR WEEKLY&nbsp;NEWSLETTER</h4>
                                <!-- /wp:heading -->

                                <!-- wp:paragraph {\"align\":\"center\"} -->
                                <p class=\"has-text-align-center has-text-color\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Suspendisse nec tincidunt nisi. Nam neque mi, tempor in pretium et, tincidunt ac urna. Nulla libero ligula, congue ut hendrerit in, posuere et ligula.</p>
                                <!-- /wp:paragraph -->

                                <!-- wp:html /--></div>
                                <!-- /wp:group -->",
       ]);
    }, 5); // 5- higher priority than default, so it loads before the patterns added by the Pro plugin

    // Signup 2
    add_action('init', function() {
        if ( ! function_exists( 'register_block_pattern' ) ) {
            return;
        }
        register_block_pattern('float-any/signup-iacb', [
            'title'         => __('In a cover block', 'float-any'),
            'keywords'      => ['Signup'],
            'categories'    => ['floatany-signups'],
            'content'       => "<!-- wp:cover {\"customOverlayColor\":\"#002b43\"} -->
                                <div class=\"wp-block-cover has-background-dim\" style=\"background-color:#002b43\"><div class=\"wp-block-cover__inner-container\"><!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"52px\"}}} -->
                                <h2 class=\"has-text-align-center\" style=\"font-size:52px\"><strong>JOIN 1000+ PALS</strong></h2>
                                <!-- /wp:heading -->

                                <!-- wp:heading {\"textAlign\":\"center\",\"level\":4,\"fontSize\":\"large\"} -->
                                <h4 class=\"has-text-align-center has-large-font-size\">GET OUR WEEKLY&nbsp;NEWSLETTER</h4>
                                <!-- /wp:heading -->

                                <!-- wp:paragraph {\"align\":\"center\",\"style\":{\"color\":{\"text\":\"#f3eed3\"}}} -->
                                <p class=\"has-text-align-center has-text-color\" style=\"color:#f3eed3\">Jump in now to receive the newest hot stories and helpful information</p>
                                <!-- /wp:paragraph -->

                                <!-- wp:html /--></div></div>
                                <!-- /wp:cover -->",
       ]);
    }, 5); // 5- higher priority than default, so it loads before the patterns added by the Pro plugin

    // Signup 3
    add_action('init', function() {
        if ( ! function_exists( 'register_block_pattern' ) ) {
            return;
        }
        register_block_pattern('float-any/signup-iacbwi', [
            'title'         => __('In a cover block with image', 'float-any'),
            'keywords'      => ['Signup'],
            'categories'    => ['floatany-signups'],
            'content'       => "<!-- wp:cover {\"customOverlayColor\":\"#5b95b0\"} -->
                                <div class=\"wp-block-cover has-background-dim\" style=\"background-color:#5b95b0\"><div class=\"wp-block-cover__inner-container\"><!-- wp:image {\"sizeSlug\":\"large\",\"className\":\"is-style-default\"} -->
                                <figure class=\"wp-block-image size-large is-style-default\"><img src=\"https://via.placeholder.com/1200x450\"/></figure>
                                <!-- /wp:image -->
                                <!-- wp:spacer {\"height\":30} -->
                                <div style=\"height:30px\" aria-hidden=\"true\" class=\"wp-block-spacer\"></div>
                                <!-- /wp:spacer -->

                                <!-- wp:heading {\"textAlign\":\"center\",\"level\":3} -->
                                <h3 class=\"has-text-align-center\">Subscribe To Our Newsletter</h3>
                                <!-- /wp:heading -->

                                <!-- wp:paragraph {\"align\":\"center\"} -->
                                <p class=\"has-text-align-center\">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean iaculis, velit a bibendum sodales.</p>
                                <!-- /wp:paragraph -->

                                <!-- wp:html /--></div></div>
                                <!-- /wp:cover -->",
       ]);
    }, 5); // 5- higher priority than default, so it loads before the patterns added by the Pro plugin
